About ABBYY Scanning Station

ABBYY Scanning Station is a software solution for batch scanning of large amounts of documents. ABBYY Scanning Station allows you to:

  • manage your scanner, i.e. initiate and stop the scanning processes and make the necessary scanner settings
  • control the quality of scanned images
  • prepare images for subsequent processing in ABBYY FlexiCapture 10

To launch ABBYY Scanning Station, select Start > Programs > ABBYY FlexiCapture 10 Stations > Scanning Station or Start > Programs > ABBYY FlexiCapture 10 Scanning Station > Scanning Station

When ABBYY Scanning Station is launched, its main window opens, where you can control the scanning and export of documents by means of the toolbar, Batches window, Image window, Registration Parameters window and the main menu.

For instructions for the major usage scenarios, please refer to the Working with ABBYY Scanning Station section.

The interface of the application is described in the ABBYY Scanning Station Interface section.


New features of ABBYY Scanning Station

Clickonce installation

Clickonce installation allows you to install the program with one click on the corresponding link. The program will be installed and launched automatically. The installed program can be run only by the user, under whose account it was installed.
Rescanning tasks

Is some of the scanned images need rescanning, a verification operator can send the corresponding task to the ABBYY Scanning Station to rescan pages and replace them in the batch.

Rescanning tasks
Possibility to use scripts

Working with ABBYY Scanning Station can be implemented by using scripts now.

Using scripts in ABBYY Scanning Station
New program interface

The Registration Parameters window is added. Now you can manage registration parameters of documents and batches in the main window directly.

The new Scripts toolbar allows you to run a script by clicking a corresponding button. You can customize the Scripts toolbar according to your preferences.

Registration Parameters window
Toolbar Customization


Working with ABBYY Scanning Station

ABBYY Scanning Station offers the following two major scenarios:

  • Processing documents in batch types with pre-selected options
    This scenario is suitable for scanning large number of similar documents. You need to create a batch type, where scanning, batch and document separation, image processing, and export options are specified.
  • Processing documents in a batch with options selected manually
    This scenario is suitable for occasional scanning of small numbers of documents. No additional settings are needed. The default settings are used to process images if no settings are made by the user.


Processing Batch Types

Batches belonging to a certain batch type are processed as follows:

  1. Create a new batch
    Select the batch type in the Current batch type field on the toolbar. To create a batch of the selected type, select menu File > New Batch or press Ctrl+N. Depending on the batch type settings a new batch can be created automatically when scanning starts or after certain number of pages have been scanned. If the batch type properties require that its registration parameters be entered, you will be prompted to enter the registration parameters.
  2. Start the scanning process
    On the toolbar, select the newly created batch type to make it current. To start scanning, click the Scan button on the toolbar.
  3. Export the scanned documents
    Once the scanning is finished, export the document by clicking the Send to button on the toolbar. If the batch type properties require that its registration parameters be entered, you will not be able to export the batch unless you enter its registration parameters.

For instructions on how to change processing options of a single batch, please refer to the Selecting Batch Processing Options Manually section.

To change processing options for all batches of a certain type you may use recommendations in the Working with Batch Types section.


Selecting Batch Processing Options Manually

You can select the processing options for individual batches immediately before you initiate a processing stage. Processing batches of documents with ABBYY Scanning Station involves the following basic steps:

  1. Scanning
    To start scanning, click Scan on the toolbar. The latest scanner source will be used. You can select a scanner source by clicking the arrow to the right. For detailed information about scanning and importing images, refer to the Scanning Images section.
    Important! The scanner must be connected to your computer. Please refer to the scanner's documentation for directions on connecting the scanner. If no scanner is connected, you can only use a virtual scanner to import images from a folder.
  2. Document and batch separation
    The scanned pages can be grouped into documents and batches in the Batches window or in the image window. Refer to the Working with Batches, Documents, and Pages section for detailed instructions.
  3. Editing images
    You can edit images before exporting them. Refer to the Editing Images section for detailed instructions.
  4. Exporting the scanned documents
    Once you are finished working with a batch, save it to a local folder, to an FTP folder, export to ABBYY FlexiCapture, or export the batch by using a script. To select an export destination, click the arrow next to the Send to button on the main window. Then select an export destination and click OK. Refer to the Exporting Batches section for detailed instructions.

If you need to set up the processing of a series of commonly used batches, refer to the Processing Batch Types section.


Working with Documents, Batches, and Pages

Working with Batches, Documents, and Pages

The images are scanned in batches. Typically you will want a batch to contain the images scanned in one go.

A batch may contain documents and separate page images. When you first launch the program, an empty batch with the default name is created.

Batches and documents can be created automatically during scanning. To set up the application to separate images into batches and/or documents automatically and specify the naming rules to be used, make the necessary settings on the Batch Options tab of the Options dialog box. Automatic batch and document separation and naming rules can be specified for batch types when creating the batch types with the Batch Type Wizard or on the Batch Options tab of the Batch Type Properties dialog box after the batch type has been created.

To create a new document or a new batch, or to rearrange the images in a batch manually, follow the instructions below:

To create a new empty batch
In the Batches window:
  • Click the [image] button on the toolbar or
  • Press the right mouse button and select New Batch from the shortcut menu or
  • Press Ctrl+N.
To change the name of a batch or document
  1. Select the batch (document) in the Batches window.
  2. Press the left mouse button or press F2.
  3. Enter the new name of the batch (document).
To create a new document
In the Batches window or in the image window, select the pages to be assembled into a document. Next:
  • Click the [image] button on the toolbar of the Batches window or
  • Press the right mouse button and select Create Document from the shortcut menu or
  • Press Ctrl+Shift+C
To disassemble a document
In the Batches window or in the image window, select the document to be disassembled. Next:
  • Click the [image] button on the toolbar of the Batches window or
  • Press the right mouse button and select Disassemble Document from the shortcut menu or
  • Press Ctrl+Shift+D

The pages contained in this document will be moved to the active batch and the document itself will be deleted.

To automatically separate a batch into documents after scanning
  1. From the Tools menu, select Options…. In the Options dialog box, click the Batch tab and select the desired document separation options.
  2. In the Batches window select the batch to be separated into documents.
  3. From the Edit menu, select Separate Documents.
To move a page
In the Batches window or in the image window point the mouse to the page you wish to move. Holding down the left mouse button, drag the page to the desired document or batch. Alternatively, you can use the Cut, Copy, and Paste commands from the Edit menu.
To delete a batch, document, or page
In the Batches window or in the image window select the items you wish to delete and then:
  • Click the [image] button on the toolbar of the Batches window or
  • Press the right mouse button and select Delete from the shortcut menu or
  • Press Del


Scanning Images

The application may acquire images either directly from a scanner or load them from a folder by means of a virtual scanner. To acquire images, you must select a scanner source and start the scanning process. During scanning, you can monitor the quality of the images and interrupt scanning or rescan defective images if necessary.

Scanner source
Before you can start scanning, you must select a scanner source, i.e. a hardware or virtual scanner. To select a scanner source:
  1. Select Tools > Options… and in the Options dialog box, click the Scanning tab.
  2. Select the desired scanner source and make the necessary settings.

Important! The scanner must be connected to your computer. Please refer to the scanner's documentation for directions on connecting the scanner. If no scanner is connected, you can only use a virtual scanner to import images from a folder.

Note: If you are scanning a batch of a certain type, all the scanning settings, including the scanner source, are made in the properties of the batch type when creating it with the Batch Type Wizard, or on the Scanning tab of the Batch Type Properties dialog box after the batch type has been created.

Initiating the scanning process

After you have selected your scanner source, you can start the scanning process:

  • By clicking the Scan button on the main window toolbar or
  • By selecting the Scan Pages item from the File menu or
  • By pressing Ctrl+S or

If you wish to select a scanner source and immediately start scanning with this source:

  1. Click the arrow to the right of the Scan button on the toolbar and select the Select & Scan… item or
    select File > Select & Scan… or
    press Ctrl+Shift+S.
  2. In the Select & Scan dialog box, select one of the available scanner sources, make the necessary settings, and click Scan.

Alternatively, you can load images from a folder. In the Batches window or image window, select the batch or document into which to load images and then:

  • right-click the batch or document, select Load Images… from the shortcut menu, and select the images to be loaded
  • select File > Load Images… and then select the images to be loaded
Stopping the scanning process

You can stop the scanning process at any time by clicking the Stop Scanning button on the main window toolbar or by selecting Stop from the File menu.

Inserting scanned pages into a batch

Before you start the scanning process, you can select the page after which the scanned images are to be inserted: select this page in the Batches window or in the image window and then either select File > Insert Pages or click [image] in the image window.

Rescanning pages

You can replace scanned pages in a batch (e.g. if you are not satisfied with their quality). To rescan pages and place them in the batch, either select File > Rescan Selected Pages or click [image] in the image window.


Rescanning tasks

If a Verification Operator is not satisfied with the quality of scanned pages, he can send a task to Rescanning. A task to rescan the whole batch or particular documents will be sent to ABBYY Scanning Station and the received task will be added to Rescanning Tasks. Once information about a new task is received, the message "New rescanning tasks are available." appears on the main toolbar. Information about new rescanning tasks is loaded from the server when starting the station and when opening the Rescanning Tasks dialog box. When ABBYY Scanning Station is running, information about new rescanning tasks is updated every 10 minutes.

Note: In order to enable sending tasks to Rescanning, the option Use a separate queue for Rescanning must be selected on the Project Properties... > Workflow tab in the Project Setup Station.

You can open the Rescanning Tasks dialog box:

  • By clicking the Rescanning Tasks button on the main toolbar or
  • By selecting the Rescanning Tasks item from the Tools menu or
  • By clicking the link New rescanning tasks are available. on the main toolbar or
  • By pressing Alt+G

To start working with a task, click the Select button in the Rescanning Tasks dialog box. The selected task is added to the Rescanning tab of the Batches window and the task documents are opened in the image window. The tasks on the Rescanning tab are grouped in the order of priority.

By default pages are loaded without thumbnails when opening a task. To load thumbnails for selected pages, select Load Full Size Thumbnail from the context menu or use the Page > Load Full Size Thumbnail menu. To load thumbnails for all pages automatically when opening a task, deselect the option Load rescanning pages with small thumbnails on the FlexiCapture Server tab of the Tools > Options… menu.

You can change the documents order on the Rescanning tab of the Batches window using drag and drop. You can also delete document and pages from the task. Changing pages order within a document is not allowed.

To rescan selected pages:

  • Select Rescan Selected Pages from page context menu or
  • Use File > Rescan Selected Pages menu or
  • Click the Rescan Pages button on the main toolbar.

Thumbnails of rescanned documents are marked with [image] icon in the left lower corner.

To navigate between documents within the task use the Previous Document to Rescan and Next Document to Rescan buttons on the main toolbar or select the corresponding commands from the Edit menu.

To confirm rescanned document, click the Confirm Rescaned Document button on the main toolbar or select the corresponding item from the Edit menu. Thumbnails of confirmed pages are marked with [image] icon in the left lower corner.

Note: If the documents order changes, confirmation results are reset and you need to confirm rescanned documents anew.

After all documents of the task are confirmed, click the Send button in the Rescanning Tasks dialog box to send the documents to ABBYY Verification Station.


Editing Images

You can edit your images manually after loading them. Use the toolbar of the image window, the Page menu in the main window, or the shortcut menu of the page:

To rotate an image
The standard orientation of a page is the one where the text lines are horizontal and the text should be read top to bottom. If the orientation of a page is different from the standard, you should rotate the page. In the image window, select the pages to rotate and then:
  • to rotate the images 90° clockwise, click [image] or select Rotate 90° Clockwise from the Page menu in the main window or from the shortcut menu
  • to rotate the images 90° counter-clockwise, click [image] or select Rotate 90° Counter-Clockwise from the Page menu in the main window or from the shortcut menu
  • to rotate the images 180°, click [image] or select Rotate 180° from the Page menu in the main window or from the shortcut menu
To flip an image
In the image window, select the pages to flip and then:
  • to flip the images along the vertical axis, click [image] or select Flip Horizontally from the Page menu in the main window or from the shortcut menu
  • to flip the images along the horizontal axis, click [image] or select Flip Vertically from the Page menu in the main window or from the shortcut menu.
To crop an image
  1. In the image window, select the image to crop.
  2. Click [image] or select Crop from the Page menu in the main window or from the shortcut menu.
  3. Place the mouse pointer in a corner of the image area you wish to retain and, holding down the left mouse button, drag the frame diagonally. The area to retain will be enclosed by a rectangle (you can change its color on the General tab of the Options dialog box.
  4. Press Enter to crop the part of the image outside the frame.
To invert image colors
If an image contains light text against a dark background, you should invert the image colors to facilitate OCR. In the image window, select the pages to invert and click [image] or select Invert from the Page menu in the main window or from the shortcut menu.
To convert color and grayscale images to black-and-white
If you do not need to retain the original image colors, you can convert your images to black-and-white. In the image window, select the pages to convert and click [image] or select Black & White from the Page menu in the main window or from the shortcut menu.
To correct image skew
In the image window, select the pages on which to correct the skew and click [image] or select Deskew from the Page menu in the main window or from the shortcut menu.
To remove image noise
If an image contains too much "noise," i.e. lots of unwanted dots introduced when scanning documents of poor to medium quality, this may adversely affect the quality of OCR. To remove excess dots, in the image window, select the pages to clean up and click [image] or select Despeckle from the Page menu in the main window or from the shortcut menu.

Important! If the source text was very light or if a very thin font was used, applying the Despeckle command may remove full stops, commas, or thin letter elements.

To obliterate sensitive information from an image
  1. In the image window, select the page on which sensitive information is to be obliterated.
  2. Click [image] or select Redact from the Page menu in the main window or from the shortcut menu.
  3. Place the mouse pointer in a corner of the area you wish to redact and, holding down the left mouse button, drag the frame diagonally. The text in the selected area will be obliterated by a color rectangle. You can select the color of this rectangle in the Options dialog box (Tools > Options… > General > Redaction Color).
To scale the images in the image window up or down
    Use one of the following methods to select the desired image scale:

    • use the drop-down list in the status bat
    • Press Ctrl+Num+ to zoom in or Ctrl+Num- to zoom out
    • Hold down Ctrl and use the mouse scroll wheel to zoom in or zoom out
    • Select the desired image scale from View > Scale
    • In the image window or in the Batches window, double-click a page to display this page alone
To change the image resolution
  1. In the Batches window or the Batches window, select the pages you need to change the resolution in.
  2. Click Change Resolution… on the Page menu in the main window of the program or on the contextual menu.
  3. In the Set Resolution dialog box, specify the required definition.


Exporting Batches

After scanning is finished and the images are separated into documents and batches, the batches may be saved in a local folder, in an FTP folder, sent to ABBYY FlexiCapture 10, or exported by using a script. When exporting to a local folder or to an FTP folder, the application will create a description file <Batch name>.xml with information about the batch (its name, type, registration parameters, and documents).

There are individual export options for each export scenario. To set up export options, select File > Sending Options… and click the tab corresponding to the scenario you need:

  • Send to Folder Options
  • Send to FTP Options
  • Send to FlexiCapture Options
  • Send by Script Options

Export options may also be selected for each individual batch type.

To initiate the export process with the last selected scenario, click Send to on the main window toolbar.

To select a scenario manually, click the arrow next to the Send to button on the toolbar, select the desired export scenario, select the export options, and click OK to start the export process. Alternatively, you can select File > Send Batch.

An exported batch may be deleted immediately upon export. To enable this option, select Delete batch automatically after sending on the General tab of the Options dialog box (Tools > Options…).

The program also allows you to set up background export options on the Sending Tasks tab of the Options dialog box.

To cancel exporting a batch, right-click the batch and select Cancel Export from the shortcut menu.


Working with Batch Types

A batch type determines how batches of this type should be processed. A batch type includes information about the scanning, image processing, and export options to be used. You can create, change, or delete batch types. Batch types can be exported to an XML file and passed on to other users. To be able to use a batch type created by another user, you must first import it into your application.

The default batch type pre-installed in the application is named "Unsorted" To view the options selected for this batch type, open the Options dialog box (Tools > Options…).

The application can be run in the administrator or operator modes. In the administrator mode, there are no restrictions on the operations with batch types: you can freely create, change, export, and import batch types. In the operator mode, batch types can only be imported. Additionally, in the operator mode the "Unsorted" batch type is disabled (i.e. the operator cannot create or change batch types of this type).

The administrator or operator mode is selected when importing batch types from a file. If the imported batch types are protected with a password, you will need to enter the password in order to go into administrator mode. No password is required for working with batch types in operator mode.

The following major operations can be performed on batch types:

  1. Creating a batch type
    From the Tools menu, select the Batch Types… item. In the Batch Types dialog box, click the New… button. This will start the Batch Types Wizard. Make the necessary settings as the wizard prompts you. For detailed instructions, please refer to the section about the Batch Type Wizard.
    You can also create a copy of an existing batch type by selecting it in the list and clicking Make Copy. Then you can edit the newly created batch type by changing its properties.
  2. Editing a batch type
    To edit a batch type, select it in the list of available batch types in the Batch Types dialog box and click the Edit… button. In the Batch Type Properties dialog box, make the necessary changes and click OK.
  3. Deleting a batch type
    To delete a batch type, select it in the list of available batch types in the Batch Types dialog box and click the Delete button. The batches that belonged to this batch type will be assigned to the "Unsorted" batch type.
  4. Exporting a batch type
    To export a batch type, select it in the list of available batch types in the Batch Types dialog box and click the Export… button. In the Export Batch Types dialog box, specify which batch types should be exported (all or only selected). If you need to protect the batch types from changes, select Forbid editing batch types and enter a password twice. Then click OK and provide the name and location of the destination file.
  5. Importing a batch type
    To import a batch type, select it in the list of available batch types in the Batch Types dialog box and click the Import… button. If you created or imported batch types earlier, the program will display a warning message saying that all previous batch types will be deleted (the batches that belonged to this batch type will be assigned to the "Unsorted" batch type). Next, specify the file with the batch types to be imported and click Open.
  6. Working with password-protected batch types
    When importing password-protected batch types or when editing a password-protected batch type if the password has not yet been entered, you will be prompted to enter the password in order to switch into administrator mode. To continue working in the operator mode, click Cancel.

The typical scenario of working with batch types is as follows:

  1. The administrator creates batch types and exports them to the server with the following settings:
    • if the batch type is not supposed to be edited by operators, the Forbid editing batch types option is selected;
    • if batch types data should be loaded to all Scanning Stations that are bound to the server, the Distribute these batch types to all scanning stations option is selected.
  2. Operators start the Scanning Station and either receive batch types data automatically at startup (provided that the Distribute these batch types to all scanning stations option was selected by the administrator) or load batch types from the server using the Import… button.

Note: When starting the application from the command line, you can automatically import batch types from a file. To import batch types, use the /BatchFiles:<FilePath>\<Filename>.xml command line command.


Interface Elements

This section provides an overview of the main interface elements:

Main Window
Main Window Menus
Main Window Toolbars
Batches Window
Image Window
Registration Parameters Window
Dialog Boxes


Main Window

The main window contains the following elements:

  • Main Window menus
  • Main Window toolbars with tools required for the scanning process
  • Batches Window which displays the structure of the batch as a tree diagram
  • Image Window which displays already scanned images
  • Registration Parameters Window which displays registration parameters of batches and documents


Main Window Menus

File
Menu Item | Description
New Batch | Creates a new batch.
Create Document | Creates a document from pages.
Disassemble Document | Disassembles a document, i.e. the pages from this document are placed in the current batch and the document itself is deleted.
Scan Pages | Scans pages and places their images into the batches of the selected type.
Select & Scan… | Opens the Select & Scan dialog box, where you can launch the scanning process after selecting one of the available scanner sources.
Rescan Selected Pages | Scans the selected pages anew.
Insert Pages | Scans document pages and places them in the batch after the page specified by the user.
Stop | Stops the scanning or image import process.
Load Images… | Imports images from files.
Send Batch |
to Local Folder… | Exports a batch to a local folder. You can select export options in the Send to Folder Options dialog box.
to FTP Folder… | Exports a batch to an FTP folder. You can select export options in the Send to FTP Options dialog box.
to FlexiCapture… | Exports a batch to ABBYY FlexiCapture 10. You can select export options in the Send to FlexiCapture Options dialog box.
by Script | Exports a batch by using a script. You can select export options in the Send by Script Options dialog box.
Sending Options… | Opens the Sending Options dialog box, where you can select batch export options.
Exit | Quits ABBYY Scanning Station.
Edit
Menu Item | Description
Undo | Undoes the previous action.
Redo | Redoes the previously undone action.
Cut | Cuts the selected items.
Copy | Copies the selected items to the Clipboard.
Paste | Pastes the items contained in the Clipboard.
Delete | Deletes the selected items.
Select All | Selects all items.
Next Document to Rescan | Opens the next document from the rescanning task.
Previous Document to Rescan | Opens the previous document from the rescanning task.
Confirm Rescaned Document | Confirms a rescanned document.
Delete Blank Pages | Deletes all blank pages in the batch.
Separate Documents | Gathers pages into documents after scanning. Document separation is carried out in accordance with the options selected in the Options dialog box on the Batch Options tab, as well as based on the batch type properties specified when creating the batch in the Batch Type Wizard or in the Batch Type Properties dialog box on the Batch tab.
Run Script | Runs execution of a selected script.
View
Menu Item | Description
Show Batches | Shows/hides the Batches window.
Show Registration Parameters | Shows/hides the Registration Parameters window.
Batch Registration Parameters | Switches to the Batch tab in the Registration Parameters window.
Document Registration Parameters | Switches to the Document tab in the Registration Parameters window.
Toolbars |
Scan & Send | Shows/hides the Scan & Send toolbar.
Batch Editing | Shows/hides the Batch Editing toolbar.
Image Editing | Shows/hides the Image Editing toolbar.
Document Navigation | Shows/hides the Document Navigation toolbar.
Rescan | Shows/hides the Rescan toolbar.
Scripts | Shows/hides the Scripts toolbar.
Customize… | Opens the Toolbar Customization window.
Status Bar | Shows/hides the status bar.
Show Batches of Selected Type | Enables/disables displaying only the batches of the type selected on the Batch Types toolbar.
Collapse | Collapses the tree diagram in the Batches window.
Go to Previous Page | Moves the selection to the previous page.
Go to Next Page | Moves the selection to the next page.
Go to Previous Document | Moves the selection to the previous document.
Go to Next Document | Moves the selection to the next document.
Scale | Controls image display in the Image window.
Zoom In | Makes the image twice as large.
Zoom Out | Makes the image twice as small.
Scaled-Up | Displays one scaled-up page.
One Page | Displays only one page.
Large Thumbnails | Displays pages as large thumbnail images
Medium Thumbnails | Displays pages as medium-sized thumbnail images.
Small Thumbnails | Displays pages as small thumbnail images.
Extra-Small Thumbnails | Displays pages as very small thumbnail images.
Page
Menu Item | Description
Rotate 90° Clockwise | Rotates the selected pages 90° clockwise.
Rotate 90° Counter-Clockwise | Rotates the selected pages 90° counterclockwise.
Rotate 180° | Rotates the selected pages by 180°.
Flip Horizontally | Flips the selected pages relative to the vertical axis.
Flip Vertically | Flips the selected pages relative to the horizontal axis.
Crop | Crops the selected page.
Invert | Inverts the colors on the selected pages.
Black & White | Converts the selected pages to black and white.
Deskew | Corrects the skew on the selected pages.
Despeckle | Removes "noise" from the selected images.
Redact | Obscures an area on a page with a color rectangle. You can select the color in Tools > Options… > General > Redaction color.
Change Resolution… | Sets a new image resolution (in DPI) for the selected page(s).
Load Full Size Thumbnail | Loads thumbnails for selected page(s) of a rescanning task.
Properties | Displays the properties of the selected item. If a page is selected, this menu item opens the Page Properties dialog box, if a document is selected, it opens the Document Properties dialog box, and if a batch is selected it opens the Batch Properties dialog box.
Tools
Menu Item | Description
Batch Types… | Opens the Batch Types dialog box, where you can manage batch types: create new batch types, adjust existing batch types, import batch types, and export batch types.
Rescanning Tasks… | Opens the Rescanning Tasks dialog box, where you can manage rescanning tasks: select a task, send a task, reject a task, and retrieve information on the batch by registration parameters.
Options… | Opens the Options dialog box, where you can select various program options for batch creation and export, background processing, and others.
Help
Menu Item | Description
Help Topics | Opens ABBYY Scanning Station Help.
Technical Support | Opens the Technical Support page in Help.
How to Buy ABBYY Products | Opens the How to Buy page in Help.
ABBYY Website | Opens the ABBYY website in your browser.
Send Feedback… | Allows you to send a feedback to ABBYY.
About | Opens the About... dialog box, which displays brief information about the program.


Main Window Toolbars

The main window has 7 toolbars:

Scan & Send Tools

The buttons on this toolbar perform the basic operations: scanning, stopping scanning, and exporting scanned documents.

Button Description
Starts scanning with the last used scanner source.

To select one of the available scanner sources, click the arrow to the right of the button and select the Select & Scan… item. In the Select & Scan dialog box, select one of the available scanner sources.
Stops the scanning process. This button replaces the Scan button when scanning is in progress.
Exports the documents to the selected export destination. The name of the current destination is displayed when you point the mouse to the button.

Click the arrow next to the button and select one of the following destinations:

  • Send to Folder… – Sends the batch to a local folder.
  • Send to FTP Folder… – Sends the batch to an FTP folder.
  • Send to FlexiCapture… – Sends the batch to to ABBYY FlexiCapture.
  • Send by Script… – Sends the batch by using a script.

When you select a profile, a dialog box appears where you can select sending options for this profile. Select the desired options and click OK to start exporting your documents.

Batch Type Tools

The buttons on this toolbar select a batch type, display its properties, and change the appearance of the Batches window.

Button | Description
Current Batch Type (drop-down list) | Selects a batch type and makes it current. The default batch type is Unsorted.
 | Opens the Batch Type Properties dialog box, where you can view and edit the settings of the selected batch type. This button is unavailable for Unsorted batches. To view the default options, select Tools > Options…
 | Click this button to display only the batches of the current type in the Batches window.

Note: This toolbar is hidden if there are no user-created batch types.

Batch Editing Tools

The buttons on this toolbar make changes to the structure of a batch.

Command | Button | Description
Create New Batch |  | Creates a new batch of the current type. The name of the new batch is determined by the batch naming rule specified in the batch type properties. To change the name of a batch, select the batch in the Batches window and then press the left mouse button or press F2.
Create New Document |  | Creates in the current batch a new document that contains the selected pages. The name of the new document is determined by the document naming rule specified in the batch type properties. To change the name of a document, select the document in the Batches window and then press the left mouse button or press F2.
Disassemble Document |  | Disassembles a document, i.e. the pages of the document are placed in the current batch and the document itself is deleted.
Delete |  | Deletes the selected items.
Image Editing Tools

The buttons on this toolbar allow you to edit images.

Command | Button | Description
Rescan Pages |  | Scans the selected pages anew.
Scan Pages After Selected |  | Scans document pages and places them in the batch after the page specified by the user.
Rotate 90° Clockwise |  | Rotates the selected pages 90° clockwise.
Rotate 90° Counter-Clockwise |  | Rotates the selected pages 90° counter-clockwise.
Rotate 180° |  | Rotates the selected pages by 180°.
Flip Horizontally |  | Flips the selected pages relative to the vertical axis.
Flip Vertically |  | Flips the selected pages relative to the horizontal axis.
Crop |  | Crops the selected page.
Invert |  | Inverts the colors on the selected pages.
Black & White |  | Converts the selected pages to black-and-white.
Descew |  | Corrects the skew on the selected pages
Despeckle |  | Removes "noise" from the selected images.
Redact |  | Obscures an area on a page with a color rectangle. You can select the color in Tools > Options… > General > Redaction color.
Document Navigation Tools

The buttons on this toolbar allow you to navigate between documents.

Command | Button | Description
Go to Previous Document |  | Moves the selection to the previous document.
Go to Next Document |  | Moves the selection to the next document.
Rescan Tools

The buttons on this toolbar allow you to navigate between documents from a rescanning task, confirm rescanning results and launch the Rescanning Tasks dialog box.

Command | Button | Description
Rescanning Tasks |  | Opens the Rescanning Tasks dialog box.
Previous Document to Rescan |  | Opens the previous document of the current batch.
Next Document to Rescan |  | Opens the next document of the current batch.
Confirm Rescaned Document |  | Confirms results of rescanning a document.

The message New rescanning tasks are available. appears when information about newly added rescanning tasks is received from the server. Clicking on the link opens the Rescanning Tasks dialog box.

Scripts toolbar

The buttons on this toolbar allow you to run scripts associated with each button.

You can customize the Scripts toolbar in the Toolbar Customization dialog box.


Batches Window

The Batches window displays batch structure and allows you to change it (use the buttons on the toolbar).

For more detailed information on working with batches and documents, please refer to Working with Documents, Batches, and Pages.

Pages in the Batches window can be marked by a yellow triangle. This means that either the resolution, or the vertical or horizontal size of the page do not correspond to the ones specified for the batch. To view the warning for the selected page, open the Page Properties dialog box. For information on changing page resolution, see Editing Images.

To change the size of the Batches window, rest the mouse pointer on the right-hand window border and, holding down the left mouse button, move this border to the desired location. To hide the window, double-click the left-hand window border. To restore the original window, double-click the left-hand border of the image window. Alternatively, you can select View > Show Batches.


Image Window

The image window displays the pages of the selected batch. Use the drop-down list in the status bar to change the appearance of this window. To edit images use the buttons on the corresponding toolbar.

For detailed instructions on working with images, please refer to the Editing Images section.


Registration Parameters Window

The Registration Parameters window displays batch and document registration parameters. You can switch between Batch and Document tabs to view the registration parameters of a batch or document. On the Document tab you can also modify document registration parameters.

To change the size of the Registration Parameters window, rest the mouse pointer on the left-hand window border and, holding down the left mouse button, move this border to the desired location. To hide the window, double-click the left-hand window border. To restore the original window, double-click the right-hand border of the image window. Alternatively, you can select View > Show Registration Parameters.

For more information on registration parameters, please see how to specify registration parameters.


ABBYY Scanning Station Dialog Boxes

This section describes the dialog boxes available in ABBYY Scanning Station:

Scanning and export options
Select & Scan
Scanner Settings
Send to Folder Options
Send to FTP Options
Send to FlexiCapture Options
Send by Script Options
Processing Sending Tasks
Batch type options
Batch Type Wizard
Batch Type Properties
Batch Types
Batch Type General Options
Batch Type Scanning Options
Batch Type Separation Options
Empty Page Detection Settings
Image Processing Parameters
Batch Type Sending Options
Image Format Options
Configuring Scripts
Page Parameters Control
Setting Up Registration Parameters
Adjusting Registration Parameters
Registration Parameter
Storing Batch Type Settings
Batch Type Storage
Other dialog boxes
Options
General Processing Options
Toolbar Customization
Script Editor
Batch Properties
Document Properties
Page Properties
Sending Tasks


Select & Scan

In this dialog box, you can select a scanner source, i.e. a hardware or a virtual scanner. The appearance of the dialog box changes depending on which scanner source is selected. This dialog box is displayed if you set up the program to display the scanner source selection dialog box whenever scanning starts. Click the arrow to the left of the Scan button on the toolbar and select the Select & Scan… option.

From the Scanner drop-down list, select one of the available scanners and make the necessary settings.

For a hardware scanner...
Option | Description
Use native scanner interface | Select this option to use the interface provided by the scanner. If native scanner interface is used the Show scanning options before scanning option should also be selected. Otherwise, if scanning settings were not originally specified in the scanner interface, a scanning error will occur.
Use application interface | Select this option to use the interface provided by the application.
Scanning Options… | Opens the scanner settings dialog box. If you select the scanner's interface, you will see the dialog box provided by the driver of your scanner. If you select the application's interface, you will see the scanner settings dialog box provided by the application.
Show scanning options before scanning | If this option is selected, the program will display the scanner settings dialog box each time scanning starts.
For a virtual scanner...

Option | Description
Folder | Specify the path to the folder from which images are to be imported (you can click Browse… to browse to the desired folder).
Browse… | Click this button to locate a folder with images.
Remove successfully loaded files | Select this option if the images are to be removed from their source folder after they are loaded.

Click Scan to start scanning. Click Cancel to quit this dialog box.


Scanner Settings

In this dialog box, you can set up your scanner if you selected the ABBYY Scanning Station scanner interface.

Set values for image resolution, color mode, brightness, paper size, compression and rotation. Select multi-page scanning options, if required. To scan and preview a page, click Preview. When the scanning process ends, the image of the scanned page appears in the window above the Preview button. Adjust the selected values, if required. Click Close to return to the scanner profile properties.

Note: The Preview feature is not available on ISIS scanners.
Option | Description
Scanner settings
Resolution (drop-down list) | Allows you to set the resolution of scanned images. Select higher resolutions for texts printed in small-sized fonts.
Color mode (drop-down list) | Allows you to select the color mode for scanning images. Gray mode is best for OCR purposes.
Compression (drop-down list) | Allows you to select the compression for scanned images.
Rotation (drop-down list) | Allows you to rotate images.
Brightness (drop-down list) | Allows you to select between automatic brightness adjustment or manual. To change the brightness, move the slide bar below the drop-down list.
Paper settings
Paper size (drop-down list) | Allows you to select paper size. Note: If none of the suggested paper sizes suits your needs, you can create a custom paper size. Select Custom… from the list and in the Custom Paper Size dialog box specify the required paper height and width.
Multi-page scanning
Use automatic document feeder (ADF) | Select this option if a ADF-equipped scanner is being used.
Duplex scanning | Select this option for duplex scanning.
Pause for n seconds after each page | Select this option if you want the scanning to pause for n seconds after each page. Type in the desired pause in seconds.
Preview (button) | Click this button to scan and preview a page. When the scanning process ends, the image of the scanned page appears in the window above this button. The Preview feature is not available on ISIS scanners.


Export to Folder Options

Send to Folder Options

In this dialog box, you can specify the options for exporting batches to a folder. Select File > Sending Options… and then select the Folder tab. You can also open this dialog box when selecting a Send to Folder… export destination by clicking the arrow to the right of the Send to button on the main window toolbar.

Specify the path to the folder where document batches shall be saved and select the desired file format.

Option | Description
Export Folder
Folder | Select this option to specify the path to the folder where document batches are to be saved. Click Browse… to select an existing folder.
Browse…
(button) 		Click this button to browse to an existing folder.
Format Options
Format
(drop-down list) 		Select the desired file format:
  • BMP
  • TIFF
  • JPEG
  • JPEG2000
  • DCX packbits
  • PCX packbits
  • PNG
  • PDF
Color mode

(drop-down list)

Select the desired color mode:
  • Color
  • Grayscale
  • Halftone (bw)
Quality

(drop-down list)

Select the quality of saved images:
  • Best
  • High
  • Normal
  • Low
Multi-page format options Select a method for saving documents in batches:
  • Save documents as multi-page files
    Lets you save documents as multi-page files. This option is available only for TIFF, DCX packbits, and PDF formats.
  • Save documents as folders
    Lets you save documents as folders. If you choose this option, the document pages will be represented by separate files of the selected format.
Show options before sending | Disable this option if you want to use the same options next time you export data to a local folder. In this case the dialog box will not appear when the next export process starts.


Export to FTP Options

Send to FTP Options

In this dialog box, you can specify the options for exporting batches to an FTP folder. Select File > Sending Options… and click the FTP tab. You can also open this dialog box when selecting a Send to FTP Folder… export destination by clicking the arrow next to the Send to button on the main window toolbar.

Specify the name of the FTP folder where document batches will be saved, the login and password, or select Anonymous login. Then specify the desired file format.

Option | Description
FTP Options
URL | Specify the name of the FTP folder where document batches are to be saved.
Login | Enter your login.
Password | Enter your password.
Anonymous login | Use this option for anonymous access to the FTP server.
Format Options
Format
(drop-down list) 		Select the desired file format:
  • BMP
  • TIFF
  • JPEG
  • JPEG2000
  • DCX packbits
  • PCX packbits
  • PNG
  • PDF
Color mode

(drop-down list)

Select the desired color mode:
  • Color
  • Grayscale
  • Halftone (bw)
Quality

(drop-down list)

Select the quality of saved images:
  • Best
  • High
  • Normal
  • Low
Multi-page format options Select a method for saving documents in batches:
  • Save documents as multi-page files
    Lets you save documents as multi-page files. This option is available only for TIFF, DCX packbits, and PDF formats.
  • Save documents as folders
    Lets you save documents as folders. If you choose this option, the document pages will be represented by separate files of the selected format.
Show options before sending | Disable this option if you want to use the same options next time you export data to an FTP folder. In this case the dialog box will not appear when the next export process starts.


Export to FlexiCapture Options

Send to FlexiCapture Options

In this dialog box, you can select options for exporting batches to ABBYY FlexiCapture. Select File > Sending Options… and click the FlexiCapture tab. You can also open this dialog box when selecting a Send to FlexiCapture… export profile by clicking the arrow next to the Send to button on the main window toolbar.

In this dialog box, you can select an ABBYY FlexiCapture project to which a batch will be exported and a batch type that will be assigned it.

  1. Select the project in the Project list. Click Select Project… to find a project. For the remote project, in the Select Remote FlexiCapture Project dialog box (opens when you click the Select Project… button):
    Show me the dialog
    • Specify the server path in the format http://server in the Server field.
    • Specify the connection settings in the Security dialog box. You can use Windows authentication or enter a specific user name and password.

      Note: To enable authentication by name and password, you must set up accordingly the Internet Information server on the computer where the Application Server is installed, i.e. allow basic authentication for the FlexiCapture\Server folder. Contact your system administrator for more information.

    • Click Update Projects. All available ABBYY FlexiCapture projects will appear in the Projects list. Select the desired project from the list and click OK.
  2. Specify the project type and processing priority.
  3. Disable the Show options before sending option if you want to use the same options next time you export data to ABBYY FlexiCapture. In this case this dialog box will not appear when the next export process starts.
  4. Press the Format Options… button to specify image format options. In the Image Format Options dialog you can specify the following settings:
    • Format: TIFF, BMP, JPG, JPEG2000, DCX packbits, PCX packbits, PNG, PDF
    • Color mode: Color, Greyscale, Halftone (b&w)
    • Quality: Best, High, Normal, Low

    By changing image format options you can reduce the network loading during sending the batch if necessary.

  5. If registration parameters should be provided for the selected project, a tip will be displayed in the Project field.
    To use the parameters you specified by default, select Specify default registration parameters option.
  6. Specify a batch name and description on the Batch Options tab.


Send by Script Options

In this dialog box, you can specify the options for exporting batches by using a script. Select File > Sending Options… and click the Script tab. You can also open this dialog box when selecting a Send by Script… export profile by clicking the arrow next to the Send to button on the main window toolbar.

Select the desired scripting language: JScript® or VBScript and press Edit Script… button to open the Script Editor window.

Disable the Show options before sending option if you want to use the same options next time you export data by using a script. In this case this dialog box will not appear when the next export process starts.


Sending Tasks Tab of Options Dialog Box

On this tab, you can specify the options for processing export tasks. Select Tools > Options… and click the Sending Tasks tab.

Option | Description
Remove completed tasks from the list | Select this option to delete completed tasks from the list in the export tasks dialog box. This dialog box contains information about the exported batches, task status, its start time, and progress. You can open this dialog box during export or after export is finished by clicking the shortcut in the notification area of the Windows taskbar.
Show balloon when the task... Select this option to enable shortcut messages when:
  • starts
    Task processing starts.
  • is stopped with error
    An error occurs during task processing.
  • is completed
    Task processing is completed.
Specify sending time range | Here you can specify a daily time period when batches should be sent to their destination. After the time range is specified, select the batch to be sent and click the Send to button on the toolbar or select the corresponding item in the menu. Batches which are waiting for sending are marked with [image].
Repeat failed task sending by net in... Select this options to enable repeat sending of a failed task by net:
  • n min
    An attempt to send the task again will be made in n minutes.
  • Number of attempts
    Attempts to send the task will be made n times.


Batch Type Wizard

The Batch Type Wizard opens when you click the New… button in the Batch Types dialog box.

The Batch Type Wizard prompts you to set up the following batch type parameters:

  • Scanner Source
  • Document and Batch Separation Options
  • Image Processing Options
  • Export Options
  • Scripts
  • Registration parameters
  • Document Registration Parameters
  • Page Size Control
  • Batch Type Name and Comment

Once you are finished setting up a batch type, it can be selected as the current batch type. To edit a batch type, open the Batch Types dialog box, select the desired batch, and click Edit….


Batch Type Properties

In this dialog box, you can edit the properties of the selected batch type:

  • general properties (General tab)
  • scanner settings (Scanning tab)
  • document and batch separation options (Batch Options tab)
  • image processing options (Image Processing tab)
  • export options (Send To tab)
  • scripts configuration options (Scripts tab)
  • page size control options (Page Size Control tab)
  • document registration parameters (Document Registration Parameters tab)
  • batch registration parameters (Batch Registration Parameters tab)

To change batch type properties, select the desired batch type from the Current batch type drop-down list on the toolbar and click the Batch Type Properties button.


Batch Types

In this dialog box, you can manage batch types: create, copy, edit, remove, export, and import batches. To open this dialog box, select Tools > Batch Types….

The list displays the names of the batch types and the scanner source used by them. Use the buttons to the right of the list to manage the batch types.

Option | Description
New… | Starts the Batch Type Wizard, where you can create a new batch type.
Make Copy Copies the selected batch type.
Edit… | Edits the selected batch type.
Delete | Deletes the selected batch type.
Export… Opens the Export Batch Types dialog box where you can specify the export options for batch types.

Select the batch types you wish to export (Export all batch types or Export selected batch types).

You can prohibit changes to batch types by selecting Forbid editing batch types and entering a password. In this event, whenever these batch types are imported or edited, the program will ask the user to enter a valid password.

Click OK and, in the Select Batch Types Storage dialog box, select a folder to store the XML-file with batch types description.
Import… Imports batch types from an XML file. In the Select Batch Types Storage dialog box that opens provide the path to the XML file that contains the description of the batch types.
Important! When importing batch types, all the existing batch types are deleted.
Close | Closes the dialog box.


Batch Type Name and Comment

The name of a batch type and comment can be specified when creating the batch type with the Batch Type Wizard, and they can be adjusted on the General tab of the Batch Type Properties dialog box

Provide a name for the batch type and add a comment if required.


Selecting a Scanner Source

The scanner source can be selected for individual batches or for a group of batches of a certain type. For individual batches, the options are selected on the Scanning tab of the Options dialog box. The scanner source for a certain batch type is selected when creating the batch type with the Batch Type Wizard and can be adjusted on the Scanning tab of the Batch Type Properties dialog box.

To make the appropriate scanning settings:

  1. Select one of the available scanners. You can also select a virtual scanner to import images from a folder.
  2. Make the necessary settings depending on the selected scanner source:
    • For a hardware scanner
      Select the interface to be used for scanning. You can select either the interface provided by the scanner or the interface provided by the application. Scanner options become available by clicking the Scanning Options… button. If you select the scanner's interface, you will see the dialog box provided by the driver of your scanner. If you select the application's interface, you will see the scanner settings dialog box provided by the application.
      Specify whether the scanning options dialog box should be displayed each time scanning starts by selecting or clearing the Show scanning options before scanning box.
  • For a virtual scanner
    Specify the path to the folder from which images are to be imported (you can click Browse… to browse to the desired folder).
    If the images are to be deleted from their source folder after they are imported, select the Remove successfully loaded files box.

  3. Select Use specified scanning options if you wish the scanning process to be launched automatically when you click the Scan Pages button or choose the corresponding item from the File menu. Page images will be scanned with the specified settings.
    If the option is deselected, you will be prompted to select a scanner and specify scanning settings each time when you scan pages.


Setting Up Document and Batch Separation Options

The naming and separation options for documents and batches may be selected for individual batches or for a group of batches of a certain type. For individual batches, the options are selected on the Batch tab of the Options dialog box. The options for a certain batch type are selected when creating the batch type with the Batch Type Wizard and can be adjusted on the Batch Options tab of the Batch Type Properties dialog box.

Specify the desired separation and naming options for batches and documents.
Option | Description
Batch separation
Naming Schema… Opens the Batch Name dialog box where you can set up batch naming rules for the selected batch type.

Specify a batch naming rule in the Batch naming schema field. This naming template will be used when creating new batches.

A batch naming rule may use the current time, date, batch type, automatic numbering and registration parameters when giving names to batches. To add any of these items in a batch naming rule, select the corresponding box. These elements will be enclosed in angle brackets (<>) in the rule. All other items should be entered without angle brackets (items not enclosed in angle brackets are used as they are).
Example: Batch_<T> – the name of each new batch will include the prefix "Batch_" and the current time.

Create new batch Specifies when a new batch should be created during scanning:
  • Never
    All images are placed into one batch.
  • Each time when scanning is initiated
    A new batch is created each time a scanning process starts.
  • Every n pages
    Every batch contains n pages.
Document separation
Naming Schema… Opens the Document Name dialog box where you can set up document naming rules for the selected batch type.

Specify a document naming rule in the Batch naming schema field. This naming template will be used when creating new documents.

A document naming rule may use the current time, date, barcode value, automatic numbering, and batch name. To add any of these items in a document naming rule, select the corresponding box. These elements will be enclosed in angle brackets (<>) in the rule. All other items should be entered without angle brackets (items not enclosed in angle brackets are used as they are).
Example: Document_<T> – the name of each new batch will include the prefix "Document_" and the current time.
Create new document Specifies when a new document should be created during scanning:
  • Never
    All scanned images are placed into the batch, no new documents are created.
  • Every n pages
    Each document contains n pages.
  • For images separated by...
    A new document is created when a blank page or page with a barcode is detected in the batch (you can select the appropriate option from the drop-down list).
    If you chose to separate documents by blank pages, you can specify the parameters of blank page detection in the Empty Page Detection Settings dialog box, which opens when you click the Options… button.
    If you chose to separate documents by barcodes, you can specify the type and value of the barcode in the Barcode Options dialog box, which opens when you click the Options… button. Barcode value can be also specified with a regular expression where "*" indicates any string of characters, and a question mark "?" indicates any single character.
    If Any type is selected, a new document is created whenever a supported barcode is detected.
    Note: The QR Code, Aztec and DataMatrix barcode types must be specified explicitly. Barcodes of these types are not detected when the Any type type is selected.
Delete separation pages | Removes blank pages or pages with barcodes used to separate documents.


Blank Page Detection Settings Dialog Box

Empty Page Detection Settings Dialog Box

In this dialog box, you can specify detection settings for empty pages used for document separation. To open this dialog box, click Options… after selecting separation by empty pages on the Batch Options tab of the Batch Type Properties dialog box, and when creating a batch type using the Batch Type Wizard.

Option | Description
Crop image borders by (mm) | Select this option to automatically crop the page (in millimeters on top, bottom, left, and right) when it is defined whether the page is empty or not. After cropping, the resulting page will be checked for other parameters.
Maximum number of black squares | Select this option if you want pages with a certain number of black squares (special form design elements) to be deemed empty. Specify the maximum number of black squares allowed on a page.
Maximum number of text objects | Select this option if you want pages with a certain number of text objects to be deemed empty. Text objects include any separate text fragments. You can use this option, for example, for pages with headers and footers. Specify the maximum number of text blocks allowed on a page.
Maximum number of barcodes | Select this option if you want pages with a certain number of barcodes to be deemed empty. Specify the maximum number of barcodes allowed on a page.
Maximum percentage of blackness | Select this option if you want pages with a certain percentage of black color to be deemed empty. Select the maximum percentage of blackness allowed on a page. The black-to-white ratio is established after image binarization.


Setting Up Image Processing Parameters

The image processing options may be selected for individual batches or for a group of batches of a certain type. For individual batches, the options are selected on the Image Processing tab of the Options dialog box. The options for a certain batch type are selected when creating the batch type with the Batch Type Wizard and can be adjusted on the Image Processing tab of the Batch Type Properties dialog box.

Specify the desired image processing options
Option | Description
Despeckle | Removes noise from images. Select this option if there is too much noise on the images, i.e. specks introduced when scanning medium to poor quality documents.
Convert color and grayscale images to black-and-white | Converts images to black-and-white.
Rotate images by Rotates images by:
  • 90° clockwise
  • 90° counter-clockwise
  • 180°
Rotate images by | Corrects image skew. Select a skew correction method: by black separators, black squares, or both.


Setting Up Export Options for a Batch Type

You can select export options for a batch type when you create it with the Batch Type Wizard. You can then adjust the export options on the Send To tab of the Batch Type Properties dialog box.

Specify whether batches of this type should always be exported to the selected destination and then select the appropriate export options.
Option | Description
Use specified sending options | Select this option if batches of this type are to be exported to the same export destination.
Sending destination | Select an export destination: a folder, an FTP folder, ABBYY FlexiCapture or script.
Export options This group contains the options applicable to the selected export destination. The options are described in detail in their corresponding dialog boxes:
  • Send to Folder Options
  • Send to FTP Options
  • Send to FlexiCapture Options
  • Send by Script Options

Note: When setting up export in ABBYY FlexiCapture, the registration parameters for a batch type can be imported: after you select an ABBYY FlexiCapture project and batch type, click the Import Registration Parameters button.


Image Format Options

In this dialog box, you can specify the options for exporting images for the selected batch type. These options can be specified when creating a batch type with the Batch Type Wizard and adjusted after the batch type has been created. To adjust the image export options, in the Batch Type Properties dialog box, click the Send To tab, select Use specified sending options and click the Format Options… button under Export Options.

Specify the desired output format and how multi-page documents should be saved.

Option Description
Format
(drop-down list) 		Select the desired file format:
  • BMP
  • TIFF
  • JPEG
  • JPEG2000
  • DCX packbits
  • PCX packbits
  • PNG
  • PDF
Color mode
(drop-down list) 		Select the desired color mode:
  • Color
  • Grayscale
  • Halftone (bw)
Quality
(drop-down list) 		Select the quality of saved images:
  • Best
  • High
  • Normal
  • Low
  • Custom
Codec
(drop-down list) 		For the Custom quality, select the codec type:
  • Zip
  • Lzw
  • Packbits
  • Jpeg
  • None
Jpeg quality
(scroll bar) 		For Jpeg codec type, adjust the Jpeg quality by moving the scroll box.
Multi-page format options Select a method for saving documents in batches:
  • Save documents as multi-page files
    Lets you save documents as multi-page files. This option is available only for TIFF, DCX packbits, and PDF formats.
  • Save documents as folders
    Lets you save documents as folders. If you choose this option, the document pages will be represented by separate files of the selected format.


Configuring Scripts

Scripts may be configured for individual batches or for a group of batches of a certain type. For individual batches, scripts are configured on the Scripts tab of the Options dialog box. For a certain batch type, you can add, edit or delete scripts when creating the batch type with the Batch Type Wizard or configure them on the Scripts tab of the Batch Type Properties dialog box.

The window displays names of the scripts and the events, that trigger them.

To add a new script, click the Add… button. To modify the selected script, click Edit…. The Script Editor will open.

Clicking Delete will remove the selected script.

Click the Customize Toolbar… button to open the Toolbar Customization window.

Note: The button is grey if there are no scripts in the current batch type.

Added scripts can be run by selecting the Run Script command from the Edit menu. In the Run Script dialog box that will open select a script from the list of scripts available for a given batch type and click OK. You can also run scripts by clicking the corresponding buttons on the Scripts toolbar.

For more information about using script in ABBYY Scanning Station, please refer to Using scripts section.


Page Parameters Control

You can configure the resolution, the vertical and horizontal size of pages in the batch. If page parameters don't correspond to the ones specified, it will be marked with a yellow warning triangle in the Batches window. To view the warning, open the Page Properties dialog box.

You can control page parameters both for separate batches and for group of batches of the same type. In the former case, the settings can be configured on the Page Size Control tab of the Options dialog box. In the latter case, the same can be done during batch type creation in the Batch Type Wizard or after that on the Page Size Control tab of the Batch Type Properties dialog box.

Configure the necessary parameters by selecting and adjust the value ranges.
Option | Description
Resolution | Allows controlling resolution in dots per inch (dpi).
Vertical size | Allows controlling the vertical size of the image in pixels.
Horizontal size | Allows controlling the horizontal size of the image in pixels.


Setting Up Registration Parameters

Registration parameters can be specified for batches and documents.

Registration parameters for typical batches and included documents can be configured during batch type creation with the Batch Type Wizard, and they can be adjusted on the Registration Parameters and Document Registration Parameters tab of the Batch Type Properties dialog box.

This window displays the following information:

  • parameter name
  • required or not
  • read only or not
  • parameter value
  • comment

To create a new parameter, click the Add… button. In the Registration Parameter dialog box, specify the desired parameter.

To adjust the parameter, click Edit…. Clicking Delete will remove the parameter.

The Operator will be prompted to fill in or check the specified registration parameters when creating a new batch. The registration parameters of a batch can be also filled in after batch creation in the Batch Properties dialog box. The registration parameters of the document are filled in after document creation in the Document Properties dialog box.


Specify Registration Parameters

Registration parameters can be specified for batches and documents.

If registration parameters must be provided for the current batch type, you can specify them in the Specify Registration Parameters dialog box when creating the batch, or in the Batch Properties dialog box (Registration Parameters tab) after the batch has been created.

Registration parameters for documents can be configured in the Document Properties dialog box, on the Registration Parameters tab.

In the Value column, enter the values of the registration parameters. You may find the comments provided in the Comment column useful. Required registration parameters are marked with an asterisk (*). You won’t be able to send the batch until the required registration parameters are configured.


Registration Parameter

In this dialog box, you can create a registration parameter for a batch. Registration parameters can be specified when creating a profile with the Batch Type Wizard, and they can be adjusted after the batch type has been created. To adjust these registration parameters, click the Edit… button on the Registration Parameters or Document Registration Parameters tab of the Batch Type Properties dialog box.

Enter the name of the registration parameter and select its type. Depending on the selected type, configure the required settings.

Option | Description
Name | The name of the registration parameter.
Type Registration parameter type:
  • Text
    Parameters of this type contain a text line. You can specify the value to be used as the default registration parameter value in the Default value line.
    The value may include the name of the user who started the station, the name of the computer the application is installed on, the station identifier, and the time and date of batch creation. To include these components in the value, select Operator, Station, Station ID, Time, and Date respectively. These components are put into angular brackets <>. The rest of the components do not need to be bracketed. Components without brackets will be used as registration parameter values without any changes.
    If you don’t want an Operator to change the default value, select Read only.
  • Drop-down list
    Parameters of this type can contain one of the elements in the list of Possible Values. To add an element to the list, click Add…. A dialog box will open allowing you to enter the list element value.
    Elements of the list may include the name of the user who started the station, the name of the computer the application is installed on, the station identifier, and the time and date of batch creation. To include these components in the value, select Operator, Station, Station ID, Time, and Date respectively. These components are put into angular brackets <>. The rest of the components do not need to be bracketed. Components without brackets will be used as registration parameter values without any changes.
    To delete an element from the list, click Delete. You can change the element order by clicking Up and Down.
    Click Import… to import the elements list from a text file. The separate lines will be deemed list elements.
Required | Specifies whether the parameter is required. If a parameter is marked as required, the batch will not be exported unless the value of the parameter is entered.
Description | Provide a comment for the registration parameter in this field.


FlexiCapture Server Tab of the Option Dialog Box

FlexiCapture Server Tab of the Options Dialog Box

On this tab, you can specify the address of the FlexiCapture server storing batch type settings. To configure the necessary parameters, click Tools > Options… and, in the dialog box that opens, click the FlexiCapture Server tab.

Option | Description
Server: [http://server] | Specify the server path in http://server format.
Authentication… | Opens the Security dialog box for you to specify the information required to connect to the server. You can use Windows authentication or enter a specific user name and password. To enable authentication by name and password, you must set up accordingly the Internet Information server on the computer where the Application Server is installed, i.e. allow basic authentication for the FlexiCapture\Server folder. Contact your system administrator for more information.
Test Connection | Allows checking connection to the server.
Update batch types on start automatically | Select this option if you want the batch types list to update automatically every time the Scanning Station is started. Specify the file to use for list updating in Source: ([http://server][/file.xml]).
Load rescanning pages with small thumbnails | Select this option to load pages from rescanning tasks with small thumbnails.


Select Batch Types Storage Dialog Box

This dialog box allows selecting a folder to store XML-files with batch types descriptions. This dialog box opens during batch types sending and import (see Batch Types).

An XML-file with a batch type description can be stored locally, on the same computer with the Scanning Station, or on a remote server. Select either Local file or Remote.

For a local file, specify the path in the Path field. Click Browse… to find the desired location.

For a remote file, specify the path in http://server[/file.xml] format.

When sending batch types, you can select the option Distribute these batch types to all scanning stations. If this option is selected, all scanning stations bound to the server will attempt to load batch types data from the server at startup. If the option is deselected, the scanning stations do not address the server to receive batch types from it.


Options

In this dialog box, you can select general Scanning Station options:

  • crop line color, redaction color, and whether to delete batch after sending (General tab)
  • scanning options (Scanning tab)
  • options for creating and naming documents and batches (Batch Options tab)
  • image processing options (Image Processing tab)
  • page size control options (Page Size Control tab)
  • scripts configuration options (Scripts tab)
  • sending options (Sending Tasks tab)
  • FlexiCapture server address (FlexiCapture Server tab)

To open this dialog box, select Tools > Options….


General Tab of Options Dialog Box

On this tab, you can specify the general processing options. Select Tools > Options… and click the General tab.

Option | Description
Station ID | Station identifier.
Crop line color | Select this option to specify the crop line color. To select the desired color, click its button.
Redaction color | Select this option to specify the fill color to be used for image redaction (Page > Redact). To select a color, click its button.
Other
Delete batches automatically after export | Select this option if you wish batches to be deleted automatically once export completes.


Toolbar Customization

This dialog box allows you to customize the Scripts toolbar for individual batches or for a certain batch type. To customize the Scripts toolbar for individual batches, click the Customize Toolbar… button on the Scripts tab of the Tools > Options… dialog box. For a certain batch type, you can customize the Scripts toolbar when creating the batch type with the Batch Type Wizard or adjust it in the Batch Type Properties dialog box. For this, click the Customize Toolbar… button on the Scripts tab.

The Toolbar Customization dialog box will open.

The window displays the names of the scripts and icons associated with them.

To add a button that will run a selected script, click Add button… and select the script from a drop-down list of scripts available for a current batch type.

To add a separator between the two buttons on the Scripts toolbar, select a button after which you want to add a separator and click the Add separator button.

Use Up and Down buttons to move a selected button one position up and down respectively.

You can remove a button by clicking Delete.

The Load bitmap button allows you to add icons for the script buttons.

Note: It is possible to load only one *.bmp file for all icons. To add icons for more than one button, you must load a bitmat that contains all necessary pictures. Dimensions of the *.bmp file must be equal to 24*<the number of icons>x24 pixels. The loaded bitmap will be split automatically. To replace the button with an icon, click on the script name first and then on a desired icon. The icon will appear next to the script name.


Script Editor

The Script Editor allows you to write and edit scripts for individual batches or for a group of batches of a certain type.

To open the Script Editor, click the Edit… button on the Scripts tab.

You can select a desired scripting language for your script: JScript® or VBScript.

For editing the script, use the menu commands or buttons on the Script Editor toolbar.

To check the script code:

  • click Check button on the toolbar or
  • select Check Script from the Tools menu or
  • press F9

If you want to add a custom function, click on the arrow next to the script name and select GlobalModule to create your function in the global module of events or in the global module of export.

To close the Script Editor select File > Exit or press the Close button in the right upper corner of the window.

For more information about scripts, please refer to the Using script section.


Batch Properties

This dialog box displays the properties of the selected batch.

To open this dialog box, right-click the batch and select Properties from the shortcut menu or select Page > Properties, or press Alt+Enter.

Tab Description
General Displays the general properties of the selected batch: its name, its priority, its type, the number of documents and pages in the batch, export destination and export time (for exported batches). The name of the batch, its priority and type can be changed.

To change the type of the selected batch, click the Change… button. In the Select Batch Type dialog box that will open select one of the available batch types and click OK.
Interrupted Export Tasks Displays the properties of the interrupted export tasks:
  • Destination
    The destination of the task
  • Time
    The time when the task started
  • Progress
    The task progress
  • Reason
    Why the task was interrupted

You can and either resume processing the tasks or remove them (by clicking the Resume or Remove buttons respectively).
Registration Parameters Displays the registration parameters of the selected batch:
  • Name
    Required registration parameters are marked with an asterisk (*).
    You won’t be able to send the batch until the required registration parameters are configured.
  • Value
    In this column you can enter the values of the registration parameters.
  • Comment
    The comment can contain useful information about the registration parameter.


Document Properties

This dialog box displays the properties of the selected document.

To open this dialog box, select the desired document in the Batches window or image window and then select Page > Properties, or right-click the document and select Properties from the shortcut menu, or press Alt+Enter .

Tab | Description
General | Displays the general properties of the selected document: its name, its priority, its batch, its number in the batch, the number of pages in the document. The name of the document and its priority can be changed.
Registration Parameters Displays the registration parameters of the selected document:
  • Name
    Required registration parameters are marked with an asterisk (*).
    You won’t be able to send the batch until the required registration parameters are configured.
  • Value
    In this column you can enter the values of the registration parameters.
  • Comment
    The comment can contain useful information about the registration parameter.


Page Properties

In this window, you can view the properties of the selected page:

  • its batch,
  • its number in the batch,
  • its source,
  • size in pixels,
  • resolution,
  • print size in inches,
  • color mode,
  • scanning quality warnings.

To open this window, select the desired image in the Batches window or image window and then select Page > Properties, or right-click the image and select Properties from the shortcut menu, or press Alt+Enter.


Sending Tasks Dialog Box

The Sending Tasks dialog box allows you to view the properties of sending tasks. If a sending task was interrupted, you can either resume processing the task or remove it by clicking the Resume or Remove buttons respectively. You can also cancel the task being executed. For this, click the Cancel button.

You can open the Sending Tasks dialog box by clicking the icon [image] in the taskbar.

Property | Description
Number # | The number of the task
Batch | The batch name
Status | The task status
Start-up time | The time when the task started
Progress | The task progress
Destination | The task destination
Processing note | The note to the task execution


Using scripts in ABBYY Scanning Station

Custom scripts enable you to create your own scenarios of working with ABBYY Scanning Station. Some of the typical scenarios are as follows:

  • Placing scanned pages in the correct order after duplex scanning
  • Auto-split of large-size pages after scanning
  • Automatic filling in registration parameters for newly created batches and documents
  • Quality check of pages with an external component
  • Possibility to save pages to two export targets simultaneously, one of which can be used for back-up

Scripts can be launched both automatically (in response to certain events) and by an explicit user command.

Supported scripting languages

The following scripting languages are supported: JScript® and VBScript.

Specifics of usage

In VBScript it is mandatory to use the keyword "Me" when when referring to methods and fields of a current object (the alternative of "this" in JScript). In export scripts, the keyword "Me" (VBScript) or "this"(JScript) implements the IExportBatch interface. In the event scripts, this keyword "Me" or "this" implements the IWorkSpace interface.

Working with collections

All collections support the following methods:

Name | Type | Access | Description
Count | int | Read only | The number of items in the collection
Item( index : int ) | ItemInterface | Read only | Retrieves an item of the collection with the given index. Enumeration begins with "0".

Note: Instead of using the method Item you can also address items of the collection using parentheses.

For example, Items( 1 ).Text = "Hello".

All collections can be used in "for each" and similar constructs.

Registry key options

For scripts launched on the ABBYY Scan Station you can change the following values in the registry:

HKEY_CURRENT_USER\Software\ABBYY\ScanStationFC\2.0\Shell\Script\DisableDebugging

HKEY_CURRENT_USER\Software\ABBYY\ScanStationFC\2.0\Shell\Script\DisableEventScripts

By default, both values are set to "false".

Changing the value of "DisableEventScripts" to true prevents launching new scripts. Already running scripts are not disabled by this command.

Custom functions

The script editor allows users to create their own functions and procedures and then to call them from the code of event scripts and from the code of sending scripts.

Custom functions can be created in one of the global modules – either in the global module of events or in the global module of export. To add a custom function, click on the arrow next to the script name in the the Script Editor and select GlobalModule.

All functions within one module must be written in the same language. The core code of a sending script or an event handler can be written in a language different from that used in the corresponding global module.

For example, from the event script written in VBScript you can call a function contained in the global module that is written in JScript.

Functions can only be called from "their own" modules. This means that from event scripts you can only call functions contained in the global event module, and from the code of sending scripts you can only call functions contained in the global export module. Otherwise, you will get an error during execution.


Events

Events that can be handled by means of scripts are described below. Automatic scripts are set up according to the batch type. They are not called during Undo-operations.

Automatic call upon starting the station

Executed after the station is started.

Automatic call prior to closing the station

Executed before the station is closed.

Automatic call upon scanning session completion

Executed upon completion of the scanning session. Scripts of this type are intended for modified a scanned batch according to custom rules.

Automatic call upon adding a page

Executed after adding a page to the batch. Scripts of this type are intended for modifying a page.

Automatic call upon creating a batch

Executed after a batch has been created manually or automatically during scanning. Scripts of this type are intended for filling registration parameters of the batch, renaming the batch according to custom rules, etc.

Automatic call upon forming a document

Executed after a document has been formed manually or automatically during scanning. Scripts of this type are intended for filling registration parameters of the document, renaming the batch according to custom rules, search for a barcode value with an external component, etc.

Automatic call prior to deleting an element of the workspace

Executed before the element is deleted by the user. Scripts of this type are intended to prevent deleting important elements.

Automatic call prior to an operation on a page

Executed before the user applies a page modification operation. Scripts of this type are intended to prevent modifying pages which are modified already. Information about the operation being executed is available in this script.

Automatic call upon completion of the operation on a page

Executed after the user applies a page modification operation. Scripts of this type are intended to save information about modified pages. Information about the operation being executed is available in this script.

Automatic call prior to export

Executed before the task is sent to background, but after the batch registration parameters are defined. If the call fails, the export task is not performed and a predefined message is displayed to the user. Scripts of this type can modify the batch.

Automatic call upon export

Executed after the export task is completed in the background, but unlike the export task the script is executed in the main application. If the main application is closed at the moment of export completion, the script will be executed with the next start of the station. Scripts of this type can modify the batch.
You can check whether the export succeeded using the script parameters "IsExported" and "ExportError".

An additional type of export

Executed in the background similar to other types of export. Scripts of this type cannot modify the batch, they can only return the result path and/or the cause of the fail and the list of exported elements of the batch. The list and the path will be available for the script if the export is resumed.

Scripting export is set up in the batch type on the export tab.

Call by an explicit user command

A named list of scripts is declared in the batch type. You can select a desired script to be executed from this list when calling a corresponding command for the opened batch.

Scripts from lists of any type can be added as a separate button to an additional user scripts toolbar.

Note: Toolbar customization can be called both from the list of scripts and from the main menu.

In the list of scripts it is also possible to assign an event that triggers the script.


Objects

This section contains the description of objects used in scripts, their properties and methods.

Export scripts objects
Event scripts objects


Objects available from export scripts

From export scripts you can address the following objects:

IBatchType
IExportAttachmentByteArray
IExportAttachments
IExportBatch
IExportBatchItem
IExportBatchItems
IExportDocumentInfo
IExportPageSourceInfo
IExportRegistrationProperties
IExportRegistrationProperty
IImageSavingOptions
IPageInfo
IPageRect
IScriptProperties
IScriptResult


IBatchType

What it does

Represents the type of a batch.

Properties

Name | Type | Access | Description
Name | string | Read only | The name of the batch type
UID | string | Read only | The unique identifier of the batch type


IExportAttachmentByteArray

What it does

Represents attachment binary data.

Properties

Name | Type | Access | Description
Name | string | Read only | The name of the array


IExportAttachments

What it does

Applies for associating user binary data or files with workspace items.

Methods

Definition | Description
Has (name: string): bool | Checks whether the attachments array contains an attachment with the specified name
SaveToFile (name: string, path: string) | Saves the attachment with a specified name to a specified path

Properties

Name | Type | Access | Description
Names | VARIANT | Read only | The array of attachments names
IsEmpty | bool | Read only | Specifies whether the array of user attachments is empty
ByteArray (name: string) | IAttachmentByteArray | Read only | Retrieves binary data of the attachment by its name


IExportBatch

What it does

Represents an exportable batch. The object is represented in scripts with the keyword "this".

Methods

Definition | Description
CalcExportedPageCount () : int | Calculates the number of exported pages
NotifyProcessingProgress (itemsProcessed: int, itemsRemained: int) | Displays a notification about the export progress
CheckCanceled () | Check if the user cancelled the export task. If the task is cancelled, an exception is returned.
NewPageRect () : IPageRect | Defines a rectangle of the page
NewImageSavingOptions () : IImageSavingOptions | Sets image saving options

Properties

Name | Type | Access | Description
ScriptEnvInfo | string | Read only | Environmental information about conditions on which the script is triggered. In the event of export, this is an export task ID.
Result | IScriptResult | Read only | The result of the script execution
Type | IBatchType | Read only | The type of the batch
SourceID | string | Read only | The station identifier
Name | string | Read only | The name of the batch
Priority | int | Read only | The priority of the batch
PageCount | int | Read only | The total number of pages in the batch
Children | IExportBatchItems | Read only | Child items
RegistrationProperties | IExportRegistrationProperties | Read only | Registration properties of the batch
ResultPath | string | Read/write | The resultant export path
ScriptProperties | IScriptProperties | Read only | Script properties
Attachments | IExportAttachments | Read only | Attachments


IExportBatchItem

What it does

Represents a document or a page.

Methods

Definition | Description
SaveAs (fileName: string, [optional] options: VARIANT) | Saves document pages (or a page image) to a file. When saving a multi-page document in a single-page format, the exception is returned.

Properties

Name | Type | Access | Description
IsDocument (or IsPage) | bool | Read only | Checks whether the item is a document (or a page).
DocumentInfo (or PageInfo) | IExportDocumentInfo (or IExportPageInfo) | Read only | Item properties. If the requested property does not correspond to the item type, the IsDocument/IsPage check is carried out.
Children | IExportBatchItems | Read only | Child items
Parent | IExportBatchItem | Read only | The parent item
Prev | IExportBatchItem | Read only | The previous item
Next | IExportBatchItem | Read only | The next item
Index | int | Read only | The item index in the parent collection
Name | string | Read only | The name of the item
ScriptProperties | IScriptProperties | Read only | Script properties
Attachments | IExportAttachments | Read only | Attachments
IsExported | bool | Read/write | Specifies whether the item is exported


IExportBatchItems

What it does

A collection of IExportBatchItem objects.

To address an item of the collection, use the Item method: IExportBatchItems.Item( i ).

To get the number of items in the collection, the Count method is used.


IExportDocumentInfo

What it does

Stores document properties.

Properties

Name | Type | Access | Description
Priority | int | Read only | The priority of the document
Barcode | string | Read only | The value of the document barcode
RegistrationProperties | IExportRegistrationProperties | Read only | Registration properties of the document


IExportPageSourceInfo

What it does

Stores information about the source of the page image.

Properties

Name | Type | Access | Description
Details | string | Read only | Scanner details. Empty for images received from file.
Path | string | Read only | The path to the file (without the name of the file). Empty for images received from scanner.
File | string | Read only | The name of the file.
FilePageIndex | int | Read only | The page index in the source file. "-1" for images received from scanner.


IExportRegistrationProperties

What it does

A collection of IExportRegistrationProperty objects.

To address an item of the collection, use the Item method: IExportRegistrationProperties.Item( i ).

To get the number of items in the collection, the Count method is used.

Methods

Definition | Description
Has (name: string) : bool | Checks whether the specified property exists
Value (name: string) : string | Retrieves the value of a registration property by the name


IExportRegistrationProperty

What it does

Represents a registration property.

Properties

Name | Type | Access | Description
Name | string | Read only | The name of the registration property
Value | string | Read only | The value of the registration property


IImageSavingOptions

What it does

Stores image saving options.

Properties

Name | Type | Access | Description
Format | string | Read/write | Image saving format. Admissible expressions: "tif", "dcx", "jpg", "bmp", "jpg2000", "pcx", "png", "pdf". Strings are not sensitive to the letter case.
ColorType | string | Read/write | Color scheme. Admissible values: "FullColor", "GrayScale", "BlackAndWhite". Strings are not sensitive to the letter case.
Quality | int | Read/write | Image quality for JPEG-compression (in percentage terms)
Rect | IPageRect | Read/write | The area being saved
ShouldOverwrite | bool | Read/write | Specifies whether to overwrite an existing file
AddProperFileExt | bool | Read/write | If the value is set to "true", the extension is set according to the image format during image saving.
Codec | string | Read/write | Codec. The property can be specified when saving images as TIFF or non-black and white PDF only. Admissible values: "CCITT4Fax", "Zip", "Lzw", "Packbits", "Jpg", "J2k", "None". Strings are not sensitive to the letter case.


IPageInfo

What it does

Stores the page properties.

Properties

Name | Type | Access | Description
Height | int | Read only | The height of the page
Width | int | Read only | The width of the page
Resolution | int | Read only | The resolution of the page
SourceInfo | IExportPageSourceInfo | Read only | Information about the source of the page


IPageRect

What it does

Represents a rectangle of the page.

Properties

Name | Type | Access | Description
Left | int | Read/write | The left coordinate
Right | int | Read/write | The right coordinate
Top | int | Read/write | The top coordinate
Bottom | int | Read/write | The bottom coordinate


IScriptProperties

What it does

Stores information about the actions carried out during the script execution. This information can be used, if the script is recalled.

Methods

Definition | Description
Has (name: string): bool | Checks whether an array of script properties contains a specified property
Set (name: string, value: string) | Sets the name and the value of a property
Delete (name: string) | Deletes a specified property
DeleteAll ( ) | Deletes all properties

Properties

Name | Type | Access | Description
Names | VARIANT | Read only | The array of properties names specified by user
IsEmpty | bool | Read only | Specifies whether the array of script properties is empty
Value (name: string) | bool | Read/write | The property value. In scripts you can address the "Name" parameter of the property both with and without the word "Value". Instead of "Value" you can use parentheses. So you can write params( "Name" ) = "newValue" instead of params.Value( "Name" ) = "newValue".


IScriptResult

What it does

Represents the result of the script execution.

Properties

Name | Type | Access | Description
Succeeded | bool | Read/write | Specifies whether the operation succeeded
ErrorMessage | string | Read/write | The error message


Objects available from event scripts

From event scripts you can address the following objects:

IAttachmentByteArray
IAttachments
IBarcodeFindingOptions
IBatchInfo
IBatchType
IBatchTypes
IDocumentInfo
IEmptyPageDetectionOptions
IImageSavingOptions
IPageInfo
IPageRect
IPageSourceInfo
IRegistrationProperties
IRegistrationProperty
IWorkspace
IWorkspaceItem
IWorkspaceItems
IScriptFoundBarcode
IScriptFoundBarcodes
IScriptProperties
IScriptResult
IScriptValues


IAttachmentByteArray

What it does

Represents attachment binary data.

Methods

Definition | Description
Add (value: BYTE) | Adds a new byte to the array.
InsertAt (value: BYTE, pos: int) | Inserts a new byte to the specified position of the array.
DeleteAt (pos: int) | Deletes the element of the array with the specified position.
DeleteAll ( ) | Deletes all elements of the array.

Properties

Name | Type | Access | Description
Name | string | Read only | The name of the array


IAttachments

What it does

Applies for associating binary data or files with workspace items. Attachments are passed when sending batch to FlexiCapture Server. When sending batch to folder or FTP folder, attachments are placed to the folder storing the batch and corresponding entries are added to XML description file.

Methods

Definition | Description
Has (name: string): bool | Checks whether the attachments array contains an attachment with the specified name
AddNew (name: string) : IAttachmentByteArray | Adds a new attachment with the specified name
AddFromFile (name: string, path: string) | Adds a new attachment with the specified from the specified path
SaveToFile (name: string, path: string) | Saves the attachment with a specified name to a specified path
Delete (name: string) | Deletes the attachment file with the specified name
DeleteAll ( ) | Deletes all attachments

Properties

Name | Type | Access | Description
Names | VARIANT | Read only | The array of attachments names
IsEmpty | bool | Read only | Specifies whether the array of user attachments is empty
ByteArray (name: string) | IAttachmentByteArray | Read only | Retrieves binary data of the attachment by its name


IBarcodeFindingOptions

What it does

Stores the options for detecting barcodes.

Properties

Name | Type | Access | Description
Rect | IPageRect | Read/write | A rectangle restricting the barcode area on the page. If all dimensions are equal to "0", the rectangle is considered equal to the whole page.
Types | IScriptValues | Read only | Types of barcodes. For the list of addmissible values, see the description of the IScriptFoundBarcode object.
Orientations | IScriptValues | Read only | Barcode orientation. For the list of addmissible values, see the description of the IScriptFoundBarcode object.


IBatchInfo

What it does

Stores batch properties.

Properties

Name | Type | Access | Description
Type | IBatchType | Read only | The type of the batch
Priority | int | Read/write | The priority of the batch
PageCount | int | Read only | The total number of pages in the batch
RegistrationProperties | IRegistrationProperties | Read only | Registration properties of the batch
ResultPath | string | Read/write | The resultant export path. Can be modified in pre-export scripts only.
ExportError | string | Read only | The batch export error


IBatchTypes

What it does

A collection of IBatchType objects.

To address a batch of the collection, use the Item method: IBatchTypes.Item( i ).

To get the number of batches in the collection, the Count method is used.

Methods

Definition | Description
Has (name: string) : bool | Checks whether the collection contains a specified batch type
UID (name: string) : string | Retrieves the unique identifier of the batch type by the batch name


IDocumentInfo

What it does

Stores document properties.

Properties

Name | Type | Access | Description
Priority | int | Read/write | The priority of the document
Barcode | string | Read/write | The value of the document barcode
RegistrationProperties | IRegistrationProperties | Read only | Registration properties of the document


IEmptyPageDetectionOptions

What it does

Stores the options for detecting empty pages.

Properties

Name | Type | Access | Description
KernelRect | IPageRect | Read/write | A relative rectangle of the page kernel (measured in twips). If all dimensions are equal to "0", the rectangle is defined automatically.
MaxBarcodesCount | int | Read/write | The maximum amount of barcodes that can be located on an empty page. If the value is "-1", the property is not used.
MaxBlackSquaresCount | int | Read/write | The maximum amount of black squares that can be located on an empty page. If the value is "-1", the property is not used.
MaxTextObjectsCount | int | Read/write | The maximum amount of text objects that can be located on an empty page. If the value is "-1", the property is not used.
MaxBlacknessPercentage | int | Read/write | The maximum relative amount of black space (in percentage terms) that can be located on an empty page. If the value is "-1", the property is not used.


IPageInfo

What it does

Stores the page properties.

Properties

Name | Type | Access | Description
Height | int | Read only | The height of the page
Width | int | Read only | The width of the page
Resolution | int | Read only | The resolution of the page
SourceInfo | IPageSourceInfo | Read only | Information about the source of the page


IPageSourceInfo

What it does

Stores information about the source of the page image.

Properties

Name | Type | Access | Description
Details | string | Read/write | Scanner details. Empty for images received from file.
Path | string | Read/write | A path to the file (without the name of the file). Empty for images received from scanner.
File | string | Read/write | The name of the file.
FilePageIndex | int | Read/write | Page index in the source file. For images received from scanner, its value is "-1".


IRegistrationProperties

What it does

A collection of IRegistrationProperty objects.

To address an item of the collection, use the Item method: IRegistrationProperties.Item( i ).

To get the number of items in the collection, the Count method is used.

Methods

Definition | Description
Has (name: string) : bool | Checks whether the specified property exists
Add (name: string) : IRegistrationProperty | Adds a new registration property
InsertAt (name: string, pos: int) : IRegistrationProperty | Inserts the specified registration property at a given position
Delete (name: string) | Deletes a registration property with the specified name
DeleteAt (pos: int) | Deletes a registration property from the specified position
DeleteAll ( ) | Deletes all registration properties

Properties

Name | Type | Access | Description
Value (name: string) | string | Read only | The property value


IRegistrationProperty

What it does

Represents a registration property.

Properties

Name | Type | Access | Description
Name | string | Read only | The name of the registration property
Value | string | Read/write | The value of the registration property
Comment | string | Read/write | The comment
IsReadOnly | bool | Read/write | Specifies whether access to the property is read-only
IsRequired | bool | Read/write | Specifies whether the property is compulsory
PossibleValues | IScriptValues | Read only | Values to select from in the drop-down list. If the list is empty, the property is specified in the edit box.


IScriptFoundBarcode

What it does

Represents a found barcode.

Properties

Name | Type | Access | Description
Rect | IPageRect | Read only | A rectangle of the barcode area on the page.
Value | string | Read only | A value of the found barcode.
Type | string | Read only | The barcode type. Addmissible values: "Code39", "CheckCode39", "Interleaved25", "CheckInterleaved25", "EAN13", "Code128", "EAN8", "PDF417", "Codabar", "CheckCodabar", "UPCA", "UPCE", "Industrial25", "IATA25", "Matrix25", "Code93", "Postnet", "UCC128", "Patch", "Code39WithoutAsterisk", "Aztec", "Datamatrix", "QRCode". Strings are not sensitive to the letter case.
Orientation | string | Read only | The orientation of the barcode. Addmissible values: "LeftToRight", "DownToTop", "RightToLeft", "TopToDown". Strings are not sensitive to the letter case.


IScriptFoundBarcodes

What it does

A collection of IScriptFoundBarcodes objects.

To address an item of the collection, use the Item method: IScriptFoundBarcodes.Item( i ).

To get the number of items in the collection, the Count method is used.


IScriptValues

What it does

Represents an array of unique string values. Support Item and Count methods.

Methods

Definition | Description
Has (name: string) : bool | Checks whether the specified value exists
Add (name: string) | Adds a new value
Delete (name: string) | Deletes a value with the specified name
DeleteAll ( ) | Deletes all values


IWorkSpace

What it does

Represents the station workspace. The object is available in scripts with the keyword "this".

Methods

Definition | Description
ClearSelection () | Clears the current selection
AddBatch (target: IWorkspaceItem, name: string, type: IBatchType): IWorkspaceItem | Adds a batch. If the name is not specified, it will be generated according to the batch settings.
AddDocument (page: IWorkspaceItem, name: string): IWorkspaceItem | Inserts the page into a new document. If the page is already included in the document, three documents will be created: one document with the previous pages, one document the current page and one document with the following pages. If the IWorkspaceIteme.Name property is empty, the name will be generated according to the batch settings.
AddPages (fileName: string, target: IWorkspaceItem, [optional] inside: bool): IWorkspaceItems | Adds pages from file
DeleteItem (item: IWorkspaceItem) | Deletes a specified item
Wait (millisecond: int) | Suspends the script execution for the specified time (in milliseconds)
FindPageBarcodes (page: IWorkspaceItem, [optional] options: IBarcodeFindingOptions): IScriptFoundBarcodes | Searches for barcodes on the page
DetectPageEmpty (page: IWorkspaceItem, [optional] options: IEmptyPageDetectionOptions): bool | Detects an empty page
SetPageImage (page: IWorkspaceItem, fileName: string, [optional] filePageIndex: int) | Changes the image of the page
Scan ([optional] folder: string) | Starts scanning with settings of the current batch type
RunScript (scriptName: string, [optional] info: string, [optional] skipShowError: bool): IScriptResult | Runs the script execution
Send (batch: IWorkspaceItem) | Exports the batch with the settings of the current batch type
SendToFolder (batch: IWorkspaceItem, skipShowExportOptions: bool) | Export the batch to a folder with the settings of the current batch type. The skipShowExportOptions parameter specifies whether to display Export Options dialog box before sending the batch.
SendToFTP (batch: IWorkspaceItem, skipShowExportOptions: bool) | Exports the batch to an FTP folder with the settings of the current batch type. The skipShowExportOptions parameter specifies whether to display Export Options dialog box before sending the batch.
SendToFC (batch: IWorkspaceItem, skipShowExportOptions: bool) | Sends the batch to ABBYY FlexiCapture with the settings of the current batch type. The skipShowExportOptions parameter specifies whether to display Export Options dialog box before sending the batch.
SendByScript (batch: IWorkspaceItem, skipShowExportOptions: bool) | Sends the batch by using script with the settings of the current batch type. The skipShowExportOptions parameter specifies whether to display Export Options dialog box before sending the batch.
Exit ( ): bool | Finishes the station work
NewPageRect ( ): IPageRect | Defines a page rectangle
NewImageSavingOptions ( ): IImageSavingOptions | Sets image saving options
NewEmptyPageDetectionOptions ( ): IEmptyPageDetectionOptions | Sets options for detecting empty pages
NewBarcodeFindingOptions ( ): IBarcodeFindingOptions | Sets barcode finding options

Properties

Name | Type | Access | Description
ScriptEnvInfo | string | Read only | Environmental information about conditions on which the script is triggered. For scripts triggered automatically before or after export, its value is "<exportType> <taskID>", where "exportType" can be "Folder", "FTP", "FC", "RS" or "Script" and "taskID" is the export task identifier. For scripts triggered automatically before or after page transformation, the property takes on one of the following values: "Rotate <angle>", "FlipHorizontal", "FlipVertical", "Invert", "ConvertToBW", "Descew", "Despeckle", "Erase <rectLeft> <rectTop> <rectRight> <rectBottom>", "Crop <rectLeft> <rectTop> <rectRight> <rectBottom>", "SplitHorizontal <pos>", "SplitVertical <pos>", "ChangeResolution <newRes>", "Scale <ratio>", "FreeScale <newWidth>, <newHeight>, <newRes>".
Result | IScriptResult | Read only | The result of the script execution
SourceID | string | Read only | The station identifier
BatchTypes | IBatchTypes | Read only | Batch types
CurrentBatchType | IBatchType | Read/write | The current batch type
Batches | IWorkspaceItems | Read only | Batches
ActiveBatch | IWorkspaceItem | Read/write | The active batch. For some event scripts (e.g. On batch sending and On batch sent), returns null.
Selection | IWorkspaceItems | Read only | The current selection. Contains batches only, documents only or pages only.
ScriptProperties | IScriptProperties | Read only | Script properties
ScriptItems | IWorkspaceItems | Read only | Items for which the script is called. The returned value is different for different events. For the events On station started and On station closing the returned value is empty. For the event On scan completed the returned value is a list of pages added during the scanning session. For other events the returned value is a batch, a document or a page depending on the event. When the script is launched by an explicit user command, a collection of currently selected items is returned.


IWorkspaceItem

What it does

Represents an item of the workspace. Can be a batch, a document or a page.

Methods

Definition | Description
SaveAs (fileName: string, [optional] options: IImageSavingOptions) | Saves pages/a page image/a batch to a file. When saving a multi-page document (or a batch) in a single-page format, an exception is returned.
Move (target: IWorkspaceItem, [optional] inside: bool) | Moves a document or a page after or inside the target item.
Copy (target: IWorkspaceItem, [optional] inside: bool): IWorkspaceItem | Copies a document or a page after or inside the target item.
Rotate (angle: int) | Rotates a page (or all pages) of a document or a batch.
FlipHorizontal ( ) | Flips a page (or all pages) of a document or a batch horizontal.
FlipVertical ( ) | Flips a page (or all pages) of a document or a batch vertical.
Invert ([optional] rect: IPageRect) | Inverts a page (or all pages) of a document or a batch.
ConvertToBW ( ) | Converts a page (or all pages) of a document or a batch to black-and-white.
Descew ([optional] byLines: bool, [optional] byBlackSquares: bool, [optional] byText: bool) | Deskews a page (or all pages) of a document or a batch. By default, byLines and byBlackSquares parameters are set to "false" while byText parameter is set to "true".
Despeckle ([optional] garbageSize: VARIANT) | Despeckles a page (or all pages) of a document or a batch.
Erase (rect: IPageRect, [optional] rColor: int, [optional] gColor: int, [optional] bColor: int) | Erases an area on a page (or all pages) of a document or a batch.
Crop (rect: IPageRect) | Crops an area on a page (or all pages) of a document or a batch.
SplitHorizontal (pos: int) | Splits a page (or all pages) of a document or a batch horizontal.
SplitVertical (pos: int) | Splits a page (or all pages) of a document or a batch vertical.
ChangeResolution (int) | Changes image resolution on a page (or all pages) of a document or a batch to the specified value.
Scale (ratio: int) | Scales a page (or all pages) of a document or a batch relative to the basic value of 100.
FreeScale (newWidth: int, newHeight: int, newResolution: int) | Scales a page (or all pages) of a document or a batch according to specified values.

Properties

Name | Type | Access | Description
IsBatch (IsDocument or IsPage) | bool | Read only | Specifies whether the item is a batch, a document or a page
BatchInfo (DocumentInfo or PageInfo) | IBatchInfo/IDocumentInfo/IPageInfo | Read only | Item properties. If the requested property does not correspond to the item type, the IsBatch (IsDocument or IsPage) check is carried out.
Children | IWorkspaceItems | Read only | Child items
Parent | IWorkspaceItem | Read only | The parent item
Prev | IWorkspaceItem | Read only | The previous item
Next | IWorkspaceItem | Read only | The next item
Index | int | Read only | The item index in the parent collection
Name | string | Read/write | The item name
ScriptProperties | IScriptProperties | Read only | Script properties
Attachments | IAttachments | Read only | Attachments
IsSelected | bool | Read/write | Specifies whether the item is selected. Changing this property value for a particular item does not affect other items. Does not work, if the current selection consists of elements of a different type.
IsExported | bool | Read/write | Specifies whether the item is exported. Can be modified only for batch items in pre-export scripts.


IWorkspaceItems

What it does

A collection of IWorkspaceItem objects.

To address an item of the collection, use the Item method: IWorkspaceItems.Item( i ).

To get the number of items in the collection, the Count method is used.


Sample scripts

Automatic station

The automatic station scans images, exports the received batch and closes.

[JScript]

Scan();

var batch = Batches( Batches.Count - 1 );

Send( batch );

while( !batch.IsExported ) {

Wait( 100 );

}

Exit();

Fully functional export

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

if( ResultPath == "" ) {

ResultPath = "C:\\Export";

}

if( !fso.FolderExists( ResultPath ) ) {

fso.CreateFolder( ResultPath );

}

var params = NewImageSavingOptions();

params.AddProperFileExt = true;

params.Format = "bmp";

var exportedPageCount = CalcExportedPageCount();

NotifyProcessingProgress( exportedPageCount , PageCount - exportedPageCount );

for( i = 0; i < Children.Count; i++ ) {

var item = Children.Item( i );

if( item.IsDocument ) {

if( !item.IsExported ) {

var docDir = ResultPath + "\\" + item.Name;

if( !fso.FolderExists( docDir ) ) {

fso.CreateFolder( docDir );

}

for( j = 0; j < item .Children.Count; j++ ) {

CheckCanceled();

var page = item.Children.Item( j );

if( !page.IsExported ) {

page.SaveAs( docDir + "\\" + page.Name, params );

exportedPageCount++;

NotifyProcessingProgress( exportedPageCount , PageCount - exportedPageCount );

page.IsExported = true;

}

}

item.IsExported = true;

}

} else {

CheckCanceled();

if( !item.IsExported ) {

item.SaveAs( ResultPath + "\\" + item.Name, params );

exportedPageCount++;

NotifyProcessingProgress( exportedPageCount, PageCount - exportedPageCount );

item.IsExported = true;

}

}

}


Appendix

Software and Hardware Requirements
Keyboard Shortcuts
Supported Barcode Types
Patents
Copy Protection
Technical Support
How to Buy
ABBYY Offices
End-User License Agreement


Hardware and Software Requirements

Hardware Requirements

  1. PC with 2 GHz or faster Intel® Core™2/2 Quad/Pentium®/Celeron®/Xeon™, AMD K6/Turion™/Athlon™/Duron™/Sempron™ processor
  2. Min. 1 GB RAM
  3. 1 GB hard disk space, of which 50 MB is required for setup
  4. TWAIN, WIA or ISIS scanner
  5. Min. 1024×768 video card and monitor
  6. Keyboard, mouse or other pointing device

Software Requirements

Operating System:

  • Windows XP SP3;
  • Windows Server 2003 SP2;
  • Windows Vista SP2;
  • Windows Server 2008 SP2 + Desktop Expirience;
  • Windows 7;
  • Windows Server 2008 R2 + Desktop Expirience.

64-bit operating systems are supported via 32-bit emulation mode.

To be able to work with the localized interfaces, your operating system must have the appropriate language support.

Other software:

  • .Net FrameWork 3.5 or higher
  • Microsoft Internet Explorer 6, 7, 8, 9 or any browser with add-on for ClickOnce deployment to install Scanning Station


Keyboard Shortcuts

Menu | Command | Keys
File | New Batch | Ctrl+N
 | Create Document | Ctrl+Shift+C
 | Disassemble Document | Ctrl+Shift+D
 | Scan Pages | Ctrl+S
 | Select & Scan… | Ctrl+Shift+S
 | Stop | Ctrl+Alt+S
 | Load Images… | Ctrl+L
 | Send Batch | Ctrl+E
 | Sending Options… | Ctrl+Shift+E
 | Exit | Alt+F4
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Cut | Ctrl+X
 | Copy | Ctrl+C
 | Paste | Ctrl+V
 | Delete | Del
 | Select All | Ctrl+A
 | Next Document to Rescan | F4
 | Previous Document to Rescan | Shift+F4
 | Confirm Rescaned Document | F7
View | Batch Registration Parameters | Ctrl+B
 | Document Registration Parameters | Ctrl+Shift+B
 | Go to Previous Page | Ctrl+Shift+P
 | Go to Next Page | Ctrl+P
 | Go to Previous Document | Ctrl+Shift+D
 | Go to Next Document | Ctrl+D
 | Scale > Zoom In | Ctrl+Num+
 | Scale > Zoom Out | Ctrl+Num-
Page | Load Full Size Thumbnail | F9
 | Properties | Alt+Enter
Tools | Batch Types… | Ctrl+Shift+T
 | Rescanning Tasks… | Alt+G
Help | Open Help | F1


Supported Barcode Types

The following types of barcode are supported:

  • EAN 13
  • EAN 8
  • Code 39
  • Code 39 without asterisk
  • Interleaved 25
  • Check Interleaved 25
  • Code 128
  • Codabar
  • UPC-A
  • UPC-E
  • Code 93
  • UCC-128
  • PDF-417
  • IATA 25
  • Matrix 25
  • Industrial 25
  • PostNet
  • Patch code
  • Aztec
  • Datamatrix
  • QR Code

Note: For recognizing barcodes in cyrillic encoding, the Datamatrix format must be used.


Patents

U.S. Patent Nos. 5,490,216, 5,625,465, 5,768,416 and 6,094,505


Technical Support

Should you have any questions about the use of ABBYY Scanning Station, please consult Help and the technical support section on www.abbyy.com.

When contacting the ABBYY technical support service, please provide the following information:

  • Your full name
  • Your company name
  • Phone (fax, e-mail address)
  • The serial number of your copy of the program
  • The build number of your copy (this can be found out by selecting the Help item in the About menu)
  • A general description of the problem with the full text of the error message (if any)
  • The type of your computer and processor
  • The version of your Windows operating system (to collect the relevant information about your system, select Help > About, click the System Info… button and select Send)
  • Any other information you consider useful
ABBYY Offices


How to Buy ABBYY Scanning Station

To purchase ABBYY Scanning Station and to make any additional inquiries, please contact your nearest ABBYY office.


ABBYY Offices

ABBYY Russia | Phone: +7 495 783 3700 Fax: +7 495 783 2663 Mailing address: Russia, 127273, Moscow, P.O. box 32, ABBYY Address of business: Moscow, ul. Otradnaya 2B, str. 6, Otradny Business Centre E-mail: sales@abbyy.ru Technical support: support@abbyy.ru Web: http://www.abbyy.ru MAP
ABBYY USA | Tel.: +1 408-457-9777 Fax: +1 408-457-9778 Address: 880 North McCarthy Blvd., Suite #220 Milpitas, CA 95035, USA E-mail: sales@abbyyusa.com Technical support: support@abbyyusa.com Web: http://www.abbyy.com
ABBYY Ukraine | Phone: +380 44 490 9999 Fax: +380 44 490 9461 Address: P.O. Box 23, 02002 Kiev, Ukraine E-mail: forms@abbyy.ua Support phone: +380 44 490 9463 Support e-mail: formsupport@abbyy.ua Web: http://www.abbyy.ua
ABBYY Europe GmbH | Phone: +49 (0)89 511 159 0 Fax: +49 89 (0)511 159 59 Address: Elsenheimerstraße 49, 80687 Munich, Germany E-mail: sales_eu@abbyy.com Support e-mail: support_eu@abbyy.com Web: http://www.abbyy.com http://www.abbyy.de http://www.france.abbyy.com
ABBYY UK Ltd. | Phone:+0870 600 0231 Fax: +01344 392 611 Address: Abbey House, Grenville Place, Bracknell RG12 1BP, United Kingdom E-mail: sales_UK@abbyy.com Support E-mail: support_eu@abbyy.com Web: http://www.abbyy.co.uk
ABBYY Japan | Phone:+81-42-795-1901 Fax: +81-42-795-1901 Address: 658-1 Tsuruma, Machida-shi, Tokyo 194-8510 E-mail: sales@abbyyusa.com Support E-mail: support@abbyyusa.com Web: http://www.abbyy.com
ABBYY Taiwan | Phone:+886-2-2655-0556 Fax: +886-2-2655-2339 Address: Room #524, 5Fl, Building E, No.19-11, Sanchong road, Nangang District, Taipei 115, Taiwan, R.O.C. E-mail: sales@abbyyusa.com Support E-mail: support@abbyyusa.com Web: http://www.abbyy.com


End-User License Agreement

ABBYY FlexiCapture 10

Important! Read the following terms carefully before installing, copying and/or using the FlexiCapture 10 (hereinafter referred to as the “SOFTWARE”). Installing, copying or using the SOFTWARE indicates your acceptance of these terms.

This ABBYY End-User License Agreement (hereinafter referred to as "EULA") is a legal agreement between you, the end user of the above-identified ABBYY software product that accompanies this EULA, including any and all associated media, printed materials, and "online" or electronic documentation (collectively referred to as the "SOFTWARE"), and ABBYY.

By installing, copying, or otherwise using the SOFTWARE you acknowledge that you have read this EULA and that you understand it and agree to be bound by its terms.

The SOFTWARE is protected by copyright laws and international treaty provisions. You agree that this EULA is enforceable like any written negotiated agreement signed by you.

This EULA comes into force at the date when you accept all the conditions stated herein by selecting the "I accept the terms of the license agreement" option and clicking the "Next" in the SOFTWARE installation program or when you start using the SOFTWARE in any manner. The date of this event is the Effective Date.

If the software is accompanied by a hard copy of a duly signed by both parties license agreement, in case of any discrepancies in content between the text of this EULA and the text in the hard copy of the license agreement, the text in the hard copy of the license agreement shall prevail.

If you do not agree with the terms of this EULA, do not install and use the SOFTWARE and select the "I do not accept the terms of the license agreement" option and click the "Cancel" in the SOFTWARE installation program.

Definitions:

"SOFTWARE" shall mean ABBYY FlexiCapture 10 software that is a set of computer programs, databases and documentation (which may be provided in written or electronic form), which is protected by copyright law.

"SOFTWARE Component" shall mean any constituent part of the SOFTWARE, including, but not limited to, any Computer programs included in the SOFTWARE.

"Computer" shall mean an electronic device with one or more CPU cores that accepts information in digital or similar form and manipulates it for a specific result based on a sequence of instructions.

"Virtual Machine" means a virtual (or otherwise emulated) hardware system.

"License" shall mean the non-exclusive right granted by ABBYY to You to install and use the functionality of the SOFTWARE in accordance with the terms of this EULA.

"Serial number" means unique identifier of license or license group with similar parameters that is being given to the end user.

"SOFTWARE Activation" shall mean the procedure whereby the installed SOFTWARE is made fully operational in accordance with the SOFTWARE documentation and the scope of Your License.

"ABBYY" shall mean

ABBYY USA Software House Inc. registered at 880 North McCarthy Boulevard, Suite 220, Milpitas, California 95035, USA, when article 17.1 of this EULA is applied;

ABBYY Europe GmbH registered at Elsenheimerstr. 49 80687 Munich, when article 17.2 of this EULA is applied;

ABBYY UK Ltd. Registered at Heathrow Business Centre, 65 High Street, Egham, Surrey TW20 9EY, United Kingdom, when article 17.3 is applied;

ABBYY LLC registered at ul. Perovskaya dom 22, korpus 1, 111398, Moscow, Russia, when article 17.4 of this EULA is applied,

ABBYY Software House Ukraine registered at 31, Degtyarevskaya st., Kiev, Ukraine 03680, when article 17.5 of this EULA is applied,

and ABBYY Solutions Ltd., Michail Karaoli 2, Egkomi CY 2404, Nicosia, Cyprus, in all other cases.

"You" and "Your" and “End User” refer to and include any person (including individual entrepreneur) and/or any legal entity that obtained this SOFTWARE and on whose behalf this SOFTWARE is being used.

“ABBYY Partner” shall mean a legal entity or an individual entrepreneur that is authorized by an agreement with ABBYY to provide You with the SOFTWARE and the right to use the SOFTWARE.

1. Grant of License

1.1. Subject to your compliance with the terms of this EULA, ABBYY grants you a non-exclusive limited right (the “License”) enabling You to install and use the functionality of the SOFTWARE, including all the images, photos, animations, audio-video components, music, text and "applets" incorporated into the SOFTWARE, as well as the accompanying printed materials and all of the SOFTWARE copies solely as set forth below. All conditions stated below apply both to the SOFTWARE as a whole and to all of its separate Components.

1.2. If paragraph 17.4 applies and You are a natural person, You may use the SOFTWARE worldwide. If paragraph 17.4 applies and You are a legal entity or its branch and/or representative office, You may use the SOFTWARE only in the country of registration of the legal entity (or its branch and/or representative offices), unless otherwise agreed in a separate signed agreement between You and ABBYY

2. License

2.1. ABBYY represents, warrants and guarantees that it has the full right, power, legal capacity, ability and authority to license and distribute the SOFTWARE, including all the images, photos, animations, audio-video components, music, text and "applets" incorporated into the SOFTWARE, as well as the accompanying printed materials and all of the SOFTWARE copies.

2.2. All title and intellectual property rights in and to the content that is not contained in the SOFTWARE, but may be accessed through use of the SOFTWARE, are the property of the respective content owners and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA does not purport to transfer the ownership of such intellectual property.

2.3. The SOFTWARE contains valuable trade secrets and confidential information belonging to ABBYY and third parties and is protected by copyright, including, without limitation, the United States Copyright Law, international treaty provisions, and the applicable laws of the country in which it is being used.

2.4. Any use of the SOFTWARE outside of or in contravention of the terms and conditions of this EULA shall constitute a breach of ABBYY’s intellectual property rights and shall give cause for the revocation of all rights to use the SOFTWARE granted to you under this EULA.

2.5. You acknowledge that the SOFTWARE is protected from unauthorized copying and unlimited use and may include software or hardware protection keys providing for such protection (hereinafter, "License Keys") and You accept the SOFTWARE subject to all such protections.

2.6. The scope of the License may depend on several factors that are specified during ordering of the SOFTWARE: the set of available features, the permitted number and type of the Software Components run in the network, number of CPUs used by the SOFTWARE, the maximum amount of pages that can be processed, expiration date and other. All this information and other information are encoded in the License Key. The License Key technically restricts the use of the SOFTWARE and reflects the scope of the License You ordered.

2.7. You may make a one-time permanent transfer of this SOFTWARE only directly to another end user. If you are a legal entity, such a transfer requires written approval by ABBYY. This transfer must include all of the SOFTWARE (including all SOFTWARE Components, the media and printed materials, any upgrades, and this EULA). Such transfer may not be by way of consignment or any other indirect transfer. The transferee of such one-time transfer must agree to comply with the terms of this EULA, including the obligation not to further transfer this SOFTWARE. You must uninstall the SOFTWARE from all Your Computers it was installed on in the case of such SOFTWARE transfer.

2.8. Except as described in article 2.7, You may not transfer, distribute or sublicense the SOFTWARE to any other person, including any rights granted to You hereunder and/or any other rights related to the SOFTWARE. ABBYY has the right to terminate this EULA in the event of such transfer or distribution.

2.9. This EULA does not grant you any rights in connection with any trademarks of ABBYY.

2.10. All rights not expressly granted are reserved by ABBYY.

3. Using the SOFTWARE

3.1. You may use the SOFTWARE according to the scope of Your License.

3.2. You may install the SOFTWARE on any number of Computers or Virtual Machines.

3.3. The functionality of the SOFTWARE and the number of Computers or Virtual Machines (if the use of Virtual Machines is allowed by Your License) you can simultaneously run the SOFTWARE on are defined by the Serial number provided to You with the SOFTWARE.

3.4. If the SOFTWARE or any SOFTWARE Components are deployed in a virtual (e.g. VMware, Citrix, or ghosting) software environment, at no time may multiple machines use the same License. You agree that at no time may the total number of pages used by the SOFTWARE exceed the total page allowed by the License.

3.5. If You access the SOFTWARE by using terminal services, which allows accessing the SOFTWARE on a remote computer over a network, You may simultaneously run as many copies of the SOFTWARE as permitted by the scope of Your License and stipulated in this EULA.

3.6. If You access the SOFTWARE by using web browser, which allows accessing the SOFTWARE on a remote computer over the Internet, You may simultaneously run as many copies of the SOFTWARE as permitted by the scope of Your License and stipulated in this EULA.

3.7. You may use the SOFTWARE to provide recognition and conversion services and/or to provide the results acquired through the use of the SOFTWARE to any third party only if Your License Key has the parameter "BPO services” enabled.

3.8. You may not use the SOFTWARE to provide paid or free recognition and conversion services and/or to provide the results or access to the results acquired through the use of the SOFTWARE as a part of another service that has recognition or conversion as its component to any third party only unless You have signed a separate written agreement with ABBYY.

3.9. If the SOFTWARE is labeled “Trial” or "Not for Resale", then, notwithstanding other sections of this EULA, You can use the SOFTWARE for evaluation or demonstration purposes only. You acknowledge that the SOFTWARE may have limited functionality and/or operate for a limited period of time. If the SOFTWARE is a timeout version, its functionality will be disabled after a designated period of time as permitted by the scope of Your License.

3.10. You may not perform or make it possible for other persons to perform any activities from the list below:

3.10.1. Reverse engineer, disassemble and/or decompile (get the source code out of the object code) the programs, databases and other SOFTWARE Components except, and only to the extent, that such activity is expressly permitted by applicable law notwithstanding this limitation. If applicable law permits such activities, any information so discovered must not be disclosed to third parties to the extent that such disclosure is required by law and such information must be promptly disclosed to ABBYY. All such information shall be deemed to be confidential and proprietary information of ABBYY.

3.10.2. Modify the SOFTWARE, adapt (make changes to the software aimed to make it function on the end user hardware) or translate the SOFTWARE, including making changes to the object code of applications and databases of the SOFTWARE other than those provided for by the SOFTWARE and described in the documentation.

3.10.3. Correct errors without the prior written consent of ABBYY.

3.10.4. Rent, lease, sublicense, assign or transfer any rights granted to You by this AGREEMENT and other rights related to the SOFTWARE to any other person or authorize all or any portion of the SOFTWARE to be copied onto any other computers unless otherwise stipulated in a separate signed agreement with ABBYY.

3.10.5. Make it possible for any person not entitled to use the SOFTWARE and working in the same multi-user system with You to use the SOFTWARE.

3.10.6. Remove, change or obscure any copyright, trademark or patent notices that appear on the SOFTWARE as delivered to You.

4. Dual-Media SOFTWARE

4.1. You may receive the SOFTWARE on more than one medium, including downloads over the Internet. Regardless of the number of media You receive, You are licensed to use the SOFTWARE subject to this EULA.

5. Limitations

5.1. You may not be able to exercise Your rights to use the SOFTWARE under this EULA unless You activate the SOFTWARE.

5.2. All terms of use and limitations governing the use, support, and maintenance of the SOFTWARE are stated in this EULA, unless otherwise stipulated in a separate signed agreement with ABBYY or ABBYY Partner.

6. End User's Databases

6.1. You may create Your own databases for the programs included in the SOFTWARE if such a feature is provided by this SOFTWARE and described in its documentation.

7. Redistribution of the SOFTWARE

7.1. Any re-distribution of the SOFTWARE, except as described in article 2.6, is strictly prohibited. Redistribution includes, but not limited to, granting access to third parties, renting, leasing, or lending the SOFTWARE.

8. Maintenance and Technical Support

8.1. ABBYY or ABBYY Partner may provide You with maintenance and technical support services subject to the terms and conditions stated in Appendix A to this EULA, unless otherwise agreed by You and ABBYY or by You and ABBYY Partner in a separate agreement.

9. Limited Warranty

9.1. ABBYY warrants that the media on which the SOFTWARE is furnished, if any, will be free from defects in materials and workmanship under normal use for the minimal period determined by the legislation of the country in which You purchased the SOFTWARE starting from the date of purchase. If the SOFTWARE was purchased according with article 17.4, this period will constitute thirty (30) days starting from the date of purchase

9.2. The SOFTWARE, any updates and upgrades are being delivered to You "as is" and ABBYY makes no warranty of any kind. ABBYY does not and cannot warrant the performance or results You may obtain by using the SOFTWARE. Except for any warranty, condition, representation, or term to the extent the same cannot or may not be excluded or limited by law applicable to You in your jurisdiction, ABBYY and its Partners make no warranties, conditions, representations, or terms (express or implied whether by statute, common law, custom, usage or otherwise) as to any matter, including without limitation non-infringement of third party rights, merchantability, integration, satisfactory quality, or fitness for any particular purpose, or that the SOFTWARE will carry no errors, meet Your requirements, or that the SOFTWARE will function properly when used in conjunction with any other software or hardware, and the entire risk as to the quality and performance of the SOFTWARE lies with You.

9.3. ABBYY makes no warranties for any third party software products which may be supplied within the SOFTWARE.

10. Limitation of Liability

10.1. In no event shall ABBYY be liable to You for any damages, business interruption, loss of data or information of any kind, business or otherwise, claims or costs whatsoever, or any consequential, indirect, incidental damage, or any lost profits or lost savings resulting from and/or relating to the use of the SOFTWARE, or damages caused by possible errors or misprints in the SOFTWARE, even if an ABBYY representative has been advised of the possibility of such loss, damages, claims or costs, or for any claim by any third party. The foregoing limitations and exclusions apply to the extent permitted by applicable law in your jurisdiction. ABBYY’s sole and aggregate liability under or in connection with this EULA shall be limited to the purchase price originally paid for the SOFTWARE, if any.

10.2. Limitation of Liability for Users Residing in Germany or Austria.
If You obtained Your copy of the SOFTWARE in Germany or Austria, and You usually reside in such country, then

10.2.1. Subject to the provisions in article 10.2.2 ABBYY’s statutory liability for damages shall be limited as follows: (i) ABBYY shall be liable only up to the amount of damages as typically foreseeable at the time of entering into the purchase agreement in respect of damages caused by a slightly negligent breach of a material contractual obligation and (ii) ABBYY shall not be liable for damages caused by a slightly negligent breach of a non-material contractual obligation.

10.2.2. The limitation of liability set forth in 10.2.1shall not apply to any mandatory statutory liability, in particular, to liability under the German Product Liability Act, liability for assuming a specific guarantee or liability for culpably caused personal injuries.

10.2.3. You shall take all reasonable measures to avoid and reduce damages, in particular, You shall make backup copies of the SOFTWARE and Your computer data subject to the provisions of this EULA.

11. Embedded Fonts

11.1. Font programs are subject to copyright, and the copyright owner may impose conditions under which a font program can be used. One of the conditions may be that you need a licensed copy of the font program to embed the font into a PDF file. In no event shall ABBYY be liable for any damages arising out of or in connection with your use of embedded fonts.

12. Adobe® PDF Library

12.1. “Adobe Software” shall mean Adobe® PDF Library for Windows 2000, XP and related documentation, and any upgrades, modified versions, updates, additions, and copies thereof. The SOFTWARE uses the Adobe Software for converting PDF files into image files.

12.2. License Grant and Restrictions. ABBYY grants you a non-exclusive right to use the Adobe Software incorporated into the SOFTWARE under the terms of this EULA. You may make one backup copy of the Adobe Software incorporated into the SOFTWARE, provided the backup copy is not installed or used on any Computer.

12.3. Intellectual Property Rights. The Adobe Software incorporated into the SOFTWARE is owned by Adobe and its suppliers, and its structure, organization and code are the valuable trade secrets of Adobe and it suppliers. The Adobe Software is also protected by United States Copyright Law and International Treaty provisions. You may not copy the Adobe Software incorporated into the SOFTWARE, except as provided in this EULA. Any copies that you are permitted to make pursuant to this EULA must contain the same copyright and other proprietary notices that appear on or in the SOFTWARE. You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Adobe Software incorporated into the SOFTWARE. Except as stated above, this EULA does not grant you any intellectual property rights in the Adobe Software.

12.4. Font License. If the SOFTWARE or Adobe Software incorporated into the SOFTWARE includes font software, you may embed the font software, or outlines of the font software, into your electronic documents to the extent that the font vendor copyright owner allows for such embedding. The fonts contained in this package may contain both Adobe and non-Adobe owned fonts. You may fully embed any font owned by Adobe.

12.5. Warranty. ABBYY DOES NOT AND CANNOT WARRANT THE PERFORMANCE RESULTS YOU MAY OBTAIN BY USING THE ADOBE SOFTWARE INCORPORATED INTO THE SOFTWARE.

12.6. Export Rules. You agree that the Adobe Software incorporated into the SOFTWARE will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations (collectively the "Export Laws"). In addition, if the Adobe Software incorporated into the SOFTWARE is identified as export controlled items under the Export Laws, you represent and warrant that you are not a citizen, or otherwise located within, an embargoed nation and that you are not otherwise prohibited under the Export Laws from receiving the Adobe Software incorporated into the SOFTWARE. All rights to use the Adobe Software incorporated into the SOFTWARE are granted on condition that such rights are forfeited if you fail to comply with the terms of this EULA.

12.7. Trademarks. Adobe and Adobe PDF Library are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or other countries.

13. PixTools® Scan Runtime Libraries.

13.1. “EMC Software” shall mean PixTools Scan runtime libraries, Level 1 ISIS Drivers, Level 2 ISIS Drivers, and Level 3 ISIS Drivers. The SOFTWARE may use the EMC Software for communicating between scanner and SOFTWARE through the ISIS interface.

13.2. License Grant and Restrictions. ABBYY grants you a non-exclusive right to use the EMC Software incorporated into the SOFTWARE under the terms of this EULA.

13.3. Intellectual Property Rights. The EMC Software incorporated into the SOFTWARE is owned by EMC Corporation and its suppliers, and its structure, organization and code are the valuable trade secrets of EMC Corporation and its suppliers. The EMC Software is protected by United States Copyright Law and International Treaty provisions. You may not copy the EMC Software incorporated into the SOFTWARE. You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the EMC Software incorporated into the SOFTWARE. Except as stated above, this EULA does not grant you any intellectual property rights in the EMC Software.

13.4. Warranty.
ABBYY DOES NOT AND CANNOT WARRANT THE PERFORMANCE RESULTS YOU MAY OBTAIN BY USING THE EMC SOFTWARE INCORPORATED INTO THE SOFTWARE.
IN NO EVENT WILL EMC CORPORATION OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS OR FOR ANY CLAIM BY ANY THIRD PARTY.
Some states or jurisdictions do not allow the exclusion or limitation of incidental, consequential or special damages, so the above limitations may not apply to you. You may have other rights, which vary from state to state or jurisdiction to jurisdiction.

13.5. Trademarks.
ISIS and PixTools are either registered trademarks or trademarks of EMC Corporation in the United States and/or other countries.

14. LIZARDTECH SOFTWARE

14.1. “LIZARDTECH SOFTWARE” means DjVu Decoder Software Development Kit of LIZARDTECH origin, as well as any associated media, printed materials and “online” or electronic documentation. You have acquired the SOFTWARE that includes the LIZARDTECH SOFTWARE licensed by ABBYY from LIZARDTECH, INC. The SOFTWARE uses the LIZARDTECH SOFTWARE for converting DjVu files into image files.

14.2. The LIZARDTECH SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The LIZARDTECH SOFTWARE is licensed, not sold.

14.3. Grant of License. You are granted a personal, nonsublicensable, nontransferable, nonexclusive license to use the LIZARDTECH SOFTWARE as integrated in the SOFTWARE (as well as any associated documentation). You will not rent, sell, lease or otherwise distribute the LIZARDTECH SOFTWARE or any part of it.

14.4. NO WARRANTIES FOR THE LIZARDTECH SOFTWARE. The LIZARDTECH SOFTWARE is provided “AS IS” and with all faults. THE ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY, AND EFFORT (INCLUDING LACK OF NEGLIGENCE) IS WITH YOU. ALSO, THERE IS NO WARRANTY AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE LIZARDTECH SOFTWARE OR AGAINST INFRINGEMENT. IF YOU HAVE RECEIVED ANY WARRANTIES REGARDING THE SOFTWARE OR THE LIZARDTECH SOFTWARE, THOSE WARRANTIES DO NOT ORIGINATE FROM, AND ARE NOT BINDING ON, LIZARDTECH.

14.5. NO LIABILITY FOR CERTAIN DAMAGES. EXCEPT AS PROHIBITED BY LAW, LIZARDTECH SHALL HAVE NO LIABILITY FOR ANY INDIRECT, SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES ARISING FROM OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE LIZARDTECH SOFTWARE. THIS LIMITATION SHALL APPLY EVEN IF ANY REMEDY FAILS OF ITS ESSENTIAL PURPOSE.

14.6. Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the LIZARDTECH SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

14.7. Export Restrictions. You acknowledge that the LIZARDTECH SOFTWARE, or any part thereof, or any process or service that is the direct product of the LIZARDTECH SOFTWARE (the foregoing collectively referred to as the “Restricted Components”) are of U.S. origin. You agree to comply with all applicable international and national laws that apply to these products, including the U.S. Export Administration Regulations, as well as end-user, end-use and destination restrictions issued by U.S. and other governments.

15. Other Licensed Technology

15.1. This SOFTWARE is used under license of the following U.S. Patent Nos.; 5,490,216, 5,625,465, 5,768,416 and 6,094,505.

16. Export Rules

16.1. The SOFTWARE shall not be exported or re-exported in violation of any export provisions in the laws of the country in which this SOFTWARE was obtained or otherwise acquired. In addition, you represent and warrant that you are not prohibited under applicable laws from receiving the SOFTWARE.

17. Governing Law

17.1. If the SOFTWARE was obtained in the United States, Canada, Mexico, Central America (Belize, Costa Rica, El Salvador, Guatemala, Honduras, Montserrat, Nicaragua, Panama, Turks and Caicos Islands, Virgin Islands, U.S.), Japan, or Taiwan, this EULA shall be governed by and construed in accordance with the laws of the State of California, United States of America. With respect to any dispute which may arise in connection with this EULA and/or this SOFTWARE, You consent to the jurisdiction and venue of the federal and/or state courts in the county of Santa Clara in the state of California. For the avoidance of doubt if the SOFTWARE was obtained in the United States, You purchased the SOFTWARE from ABBYY USA Software House Inc.

17.2. If the SOFTWARE was obtained in Austria, Belgium, Denmark, Finland, France, Germany, Italy, Luxembourg, the Netherlands, Portugal, Spain, Sweden, or any other member state of the European Union that is not mentioned in paragraph 17.3 - 17.5 except Greece, Cyprus and Malta of this EULA, or in Channel Islands, Iceland, Liechtenstein, Norway, or Switzerland, this EULA shall be governed by and construed in accordance with the substantial laws in force in Munich, the Federal Republic of Germany and the competent court of Munich, the Federal Republic of Germany shall have jurisdiction over all disputes relating to this EULA.

17.3. If the SOFTWARE was obtained in the United Kingdom of Great Britain and Northern Ireland or in the Republic of Ireland, this EULA shall be governed by and construed in accordance with the Laws of England and Wales and the parties accept the jurisdiction of the courts of England and Wales

17.4. If the SOFTWARE was obtained in Russia, Byelorussia, Kazakhstan, or any other country of the CIS, except for Ukraine and Moldova, or if the SOFTWARE was purchased in Georgia, Latvia, Lithuania, or Estonia, this EULA shall be governed by and construed in accordance with the substantial law of Russian Federation.

17.5. If the SOFTWARE was obtained in Albania, Bosnia and Herzegovina, Bulgaria, Croatia, the Czech Republic, Hungary, Israel, Macedonia, Poland, Romania, Slovakia, Slovenia, Turkey, Serbia, Montenegro, Ukraine, or Moldova, this EULA shall be governed by and construed in accordance with the laws of Ukraine.

17.6. If paragraph 17.4 is applied and You are a legal entity or a private entrepreneur, the Arbitration Court of Moscow, the Russian Federation, shall have jurisdiction over all disputes relating to this EULA. If paragraph 17.4 is applied and You are an individual person, the Perovsky District Court of Moscow, the Russian Federation, shall have jurisdiction over all disputes relating to this EULA.

17.7. If paragraph 17.5 is applied and You are a legal entity or a private entrepreneur, аny and all disputes, controversies or differences in opinion arising out of or relating to the Agreement shall be finally resolved through arbitration in accordance with the arbitration rules and procedures of the International Commercial Arbitration Court at the Ukrainian Chamber of Commerce and Industry according to its Rules of Procedure. Judgment of this Court is final and binding for both Parties. If paragraph 17.5 is applied and You are an individual person, the Shevchenkovsky District Court of Kiev, Ukraine, shall have jurisdiction over all disputes relating to this EULA

17.8. This EULA will not be governed by the conflict of law rules of any jurisdiction or the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded.

17.9. If the SOFTWARE was purchased in a country other than the countries specified in articles 17.1, 17.2, 17.3, 17.4, 17.5, this EULA shall be governed by and construed in accordance with the substantial laws of the country in which you purchased the SOFTWARE.

18. Term and Termination

18.1. This EULA comes into force on the Effective Date. Unless otherwise agreed by You and ABBYY or except as otherwise provided by the EULA, this EULA is effective for the entire period of the SOFTWARE copyright.

18.2. You may terminate the EULA by destroying the SOFTWARE and accompanying documentation and all copies thereof.

18.3. Without prejudice to any other rights, ABBYY may terminate this EULA if You fail to comply with the terms and conditions of this EULA. In such an event, You must destroy all copies of the SOFTWARE and all of the SOFTWARE Components. Such termination does not relieve You of Your obligation to pay for the SOFTWARE and/or for Maintenance.

18.4. Provisions 2.3, 2.8, 2.9, 3.9, 7, 9.2, 9.3, 10, 17, 20.2, 20.3 shall survive the termination of this EULA, howsoever caused, but this shall not imply or create any continued right to use the SOFTWARE after termination of this EULA.

19. Government Use

19.1. If use of the SOFTWARE is made by the United States Government or any US Government agency, the following additional terms shall apply: (1) Restricted Computer Software, as defined in the Rights in Data-General clause at Federal Acquisition Regulations 52.227-14; and (2) any use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (с)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013.

20. General Provisions

20.1. If any part of this EULA is found void and unenforceable, it will not affect the validity of the balance of the EULA, which shall remain valid and enforceable according to its terms.

20.2. You agree to provide ABBYY with some of Your personal details in the course of activation, installation, and registration of the SOFTWARE. You agree that your personal details may be collected, processed, and used by ABBYY in compliance with applicable law provided that the confidentiality of the data is maintained. Any personal details You provide to ABBYY will be stored and used strictly within the ABBYY and its affiliates and will not be disclosed to any third party, except as may be required by applicable law.

20.3. ABBYY may send you e-mails containing product and company news, information about special offers, advices on product usage and other product and company-related information provided You specifically agreed to receive this information from ABBYY. You have the possibility to remove your e-mail address from ABBYY mailing list at any time.

20.4. ABBYY may provide You with printed materials, including the user’s guide.

20.5. Consideration under this EULA is the price of the SOFTWARE (or License) established by ABBYY or an ABBYY Partner which is payable in accordance with the payment procedures established by ABBYY or the ABBYY Partner, or is included in the purchase price of Your hardware, or is part of the consideration payable by You for the full version of the SOFTWARE. If You are a natural person, this EULA may be gratuitous.

20.6. If any claims or lawsuits are brought against You in connection with your use of the SOFTWARE, You shall inform ABBYY about them in 3 days from the moment You learned of them. You shall carry out all the necessary actions to provide ABBYY with the possibility of taking part in the hearings of said claims or lawsuits in court, and to provide the information necessary for settlement of the corresponding claims or lawsuits, not later than in 7 days from the moment of reception of inquiry from ABBYY.

Appendix A

Maintenance Agreement

This Appendix A shall be an integral part of the EULA unless otherwise stipulated in a separate written agreement between You and ABBYY or in a separate agreement between You and an ABBYY Partner.

1. Definitions

1.1. "Update" shall mean enhancements to the current version of the SOFTWARE which usually includes bug fixing.

1.2. "Upgrade" shall mean the next SOFTWARE version to supersede the major or minor version (for example, 1.5 will supersede 1.0, 2.0 will supersede 1.x, ) currently licensed to You under the EULA.

1.3. "Error" shall mean any failure of the SOFTWARE to perform in accordance with the specifications listed in the documentation. The following three types of Error shall be recognized:

1.3.1. A priority 1 Error shall mean problematic situations where no workarounds are available to You and the production at Your site is halted, including Errors displaying "Internal Program Error," "Out of memory," "Access Violation," "General Protection Fault," "General Protection Error," and "Division by Zero" messages;

1.3.2. A priority 2 Error shall mean a failure for which a workaround is available;

1.3.3. A priority 3 Error shall mean a minor issue not interfering with the production at Your site.

1.4. "Support Services" means

(i) services provided to You by ABBYY in case of Error occurrence, in attempt to restore the SOFTWARE operation in accordance with the specifications. These services may include providing You with a workaround for the Error You reported, or providing You with an Update for the SOFTWARE in which the Error is eliminated;

(ii) information provided to You by ABBYY in answer to Your questions about the SOFTWARE functionality, installation, activation and operation.

1.5. "Upgrade Assurance" shall mean the part of Maintenance that grants You the right to receive Upgrades.

2. Maintenance

2.1. Maintenance may include delivery of Updates, Upgrade Assurance, and Support Services or any combination thereof.

2.2. Maintenance term is the initial period of twelve (12) months, commencing on the date on which the SOFTWARE is shipped.

2.3. To extend the Maintenance period, You need to procure such an extension from ABBYY or its Partner. If article 17.2 or 17.3 is applied, Maintenance will be renewed for a period of 12 months without any further declaration if You do not cancel Maintenance within 45 days before the Maintenance period terminates. Such a cancellation must be declared in written form.

2.4. ABBYY or its Partner may supply You with additional specific terms and conditions of Maintenance.

2.5. ABBYY reserves the right to change, at its sole discretion, the form and content of Maintenance from time to time.

2.6. Any supplemental SOFTWARE code provided to You as part of Maintenance is to be considered as part of the SOFTWARE and subject to the terms and conditions of the EULA.

3. Updates and Upgrade Assurance

3.1. Upgrades and Updates shall be delivered on CD-ROM and/or electronically (via FTP). Shipping costs, if any, must be paid by You.

3.2. If You have purchased the Update delivery part of Maintenance, then You have the right to receive Updates from ABBYY or its Partner. ABBYY or its Partner will provide You with Updates for the SOFTWARE as soon as these become available.

3.3. If You have purchased the Upgrade Assurance part of Maintenance, then You have the right to receive Upgrades from ABBYY or its Partner. ABBYY or its Partner will provide You with Upgrades for the SOFTWARE as soon as these become available.

3.4. If You develop any application which contains the SOFTWARE, parts of the SOFTWARE, or is integrated with the SOFTWARE, any new major release of this application shall include the latest Update of the SOFTWARE provided to You by ABBYY not more than three (3) months before such release (or the latest Update if such Update was released more than three (3) months before such release).

4. Support Services

4.1. If You have purchased the Support Services part of Maintenance, then ABBYY or its Partner shall provide You with Support Services according to the current ABBYY support policy published on the ABBYY web site at http://www.abbyy.com/support/policy. ABBYY reserves the right to change the support policy any time without any prior notice.

4.2. ABBYY or its Partner shall provide Support Services to resolve priority 1 Errors.

4.3. If You have purchased the Support Services part of Maintenance, then ABBYY or its Partner shall provide Support Services for up to eight (8) requests involving Errors with priority 2 and 3 for the period of twelve (12) months. Support Services for any additional requests involving Errors with priority 2 and 3 for the period shall be purchased additionally.

4.4. ABBYY or its Partner will provide Support Services related to the SOFTWARE during normal working hours via telephone or e-mail.

4.5. ABBYY or its Partner agrees to make commercially reasonable efforts to issue emergency Updates to the SOFTWARE outside the normal release schedule to remedy any priority 1 Error reported to it. In the normal course of events, priority 2 and 3 Errors may be repaired in subsequent releases. Emergency Updates will only be issued for the current version of the SOFTWARE to fix priority 1 Errors.

4.6. When reporting Errors, You agree to provide ABBYY or its Partner with the necessary supporting data to locate the Error and provide for its repair and workaround. The supporting data shall include a description of the problem, identification of the platform and operating system on which the problem occurred, a copy the input which caused the Error to be discovered, a copy of the format file being used when the Error was discovered, and any machine dumps which resulted from the Error. ABBYY or its Partner may use the above-mentioned information for its business purposes, including, but not limited to, product support and development, provided that ABBYY or its Partner does not utilize such information in any form that personally identifies You.


Scan & Send Tools

Button Description
Starts scanning with the last used scanner source.

To select one of the available scanner sources, click the arrow to the right of the button and select the Select & Scan… item. In the Select & Scan dialog box, select one of the available scanner sources.
Stops the scanning process. This button replaces the Scan button when scanning is in progress.
Exports the documents to the selected export destination. The name of the current destination is displayed when you point the mouse to the button.

Click the arrow next to the button and select one of the following destinations:

  • Send to Folder…
    Exports the batch to a local folder.
  • Send to FTP Folder…
    Exports the batch to an FTP folder.
  • Send to FlexiCapture…
    Exports the batch to ABBYY FlexiCapture.
  • Send by Script…
    Exports the batch by using a script.

When you select a profile, a dialog box appears where you can select export options for this profile. Select the desired options and click OK to start exporting your documents.


License Management

Licenses are managed via the Licenses dialog box. To open this dialog box, select Help > About and click the License Manager… button in the About ABBYY FlexiCapture 10 Scanning Station dialog box.

Adding a new license

In the Licenses window, click Activate... Enter your new serial number, click Next. Then select a license activation method and activate your license. The new license(s) will appear in the Licenses window.

Updating a license

To update a license, select the license to update and click Update License ... You will also need to activate your license over the Internet or be e-mail. Follow the instructions displayed on the screen.

License parameters

In the Licenses window, you can view the parameters of your licenses.


License Parameters

Each license has its own serial number. A license includes a set of parameters which determines if the user has the right to perform certain document processing operations.

License parameters:

  • General - serial number, licensing method, availability of a virtual machine
  • License purpose – license type (general, trial, or not for resale)
  • Time – usage restrictions
  • Import – additional import options


Copy Protection

For the correct operation of the Scanning Station, a valid protection key is required. ABBYY Scanning Station which is shipped with ABBYY FlexiCapture 10 uses the protection key of ABBYY FlexiCapture 10. The information contained in this section and its subsection refers to remote Scanning Stations which are protected with their own protection keys.

ABBYY Scanning Station can be protected with one of the following types of protection key:

  • hardware protection key
  • software protection key

Hardware protection key

This is a dongle to be plugged into a USB port on your computer (USB dongle). To use the program, your hardware protection key must be plugged in at all times.

The hardware protection key stores the parameters of your license.

An empty hardware protection key can be activated remotely, using only the serial number of your license. This is done in the License Manager utility, which contacts the activation server over the Internet, requests the parameters of the serial number, and saves them in the key.

Important! You must be able to run the standard SmartCard service in order to use a hardware protection key.

Software protection key

This is a license file.

For ABBYY FlexiCapture 10 Scanning Station to run with a software protection key, the license file must be activated on the ABBYY activation server. You can activate your license file via the Licenses dialog box. To open the Licenses dialog box, select Help >About and click the License Manager… button in the About ABBYY Scan Station dialog box.

Information required to activate your license file is sent to ABBYY as a code (Product ID) which is generated based on the information about the computer on which ABBYY Scanning Station is installed. No personal information is used to generate a Product ID and this code cannot be used to identify the use.

Activation methods:

  • via the Internet
    Activation over the Internet is carried out automatically and takes seconds to complete. An active Internet connection is required for this method. In the case of activation over the Internet, no additional steps are required.
  • by e-mail
    If you choose this activation method, an e-mail activation request will be generated automatically. Send this e-mail message to the address specified. Please do not change the body and subject of the e-mail message, or the activation will fail. You will receive an activation file in response. Select the load activation file item to load the file into the protection system.
  • by e-mail from another computer

    If e-mail cannot be sent from the computer on which you are activating the application, you can copy the required information onto another computer and send an activation request from that computer. Selecting by e-mail from another computer will generate an activation request which you can copy onto another computer. Send this activation request to the specified address. You will receive an activation file in response. Copy this activation file onto the computer on which the application is installed and the load activation file item to load the file into the protection system.

  • load activation file

    Select this item to load the activation file you received from the ABBYY activation server.

Repeat activation

You can re-install ABBYY Scanning Station any number of times on the computer on which it was activated. However, if you make substantial upgrades, format the hard drive or re-install the operating system, you may need to activate the product again.

The activation server keeps a log of how many times each serial number has been activated. Once a certain threshold for a serial number is exceeded, the serial number gets blocked and can no longer be activated.

You can de-activate an activated license in order to use it on another computer. When you de-activate a license, the activation server reduces the activation counter for this serial number by one.

Important! You will be able to use the activated program only on the computer on which the Product ID was generated. To move the program to another computer, first de-activate your license.


Rescan Tasks dialog

Rescanning Tasks dialog

In this dialog box, you can work with rescanning tasks: select a task, send processed tasks to verification, rejects tasks or send them to Exceptions and specify registration parameters names whose values will be displayed in the Batch info column. To open the dialog box, select Tools > Rescanning Tasks… or press Alt+G.

The dialog displays the following information on the task: creation time, status, priority, batch registration parameters (batch info) and comment. The comment can be added by Verification Operator when sending the task to rescanning.

To add the Batch info, click the Batch Info… button and enter the names of the batch registration parameters. Their values will be displayed in the Batch info column divided by semi-column. If a specified registration parameter is missing, its value will be empty.

Values from the Batch Info and Comment columns help the operator to distinguish tasks.

The buttons on the right allow you to manage tasks:

Button | Description
Select | Opens a selected task and changes its status to "Selected".
Send | Sends a processed task to ABBYY Verification Station.
Reject Task | Rejects selected tasks.
To Exceptions… | Sends selected tasks to Exceptions.
Batch Info… | Opens the Batch info dialog, where you can add and delete batch registration parameters.
Close | Closes the dialog box.

For more information, please see Rescanning Tasks.


Batch Editing Tools

Command | Button | Description
Create New Batch |  | Creates a new batch of the current type. The name of the new batch is determined by the batch naming rule specified in the batch type properties. To change the name of a batch, select the batch in the Batches window and then press the left mouse button or press F2.
Create New Document |  | Creates in the current batch a new document that contains the selected pages. The name of the new document is determined by the document naming rule specified in the batch type properties. To change the name of a document, select the document in the Batches window and then press the left mouse button or press F2.
Disassemble Document |  | Disassembles a document, i.e. the pages of the document are placed in the current batch and the document itself is deleted.
Delete |  | Deletes the selected items.


Image Editing Tools

Command | Button | Description
Rescan Pages |  | Scans the selected pages anew.
Scan Pages After Selected |  | Scans document pages and places them in the batch after the page specified by the user.
Rotate 90° Clockwise |  | Rotates the selected pages 90° clockwise.
Rotate 90° Counter-Clockwise |  | Rotates the selected pages 90° counter-clockwise.
Rotate 180° |  | Rotates the selected pages by 180°.
Flip Horizontally |  | Flips the selected pages relative to the vertical axis.
Flip Vertically |  | Flips the selected pages relative to the horizontal axis.
Crop |  | Crops the selected page.
Invert |  | Inverts the colors on the selected pages.
Black & White |  | Converts the selected pages to black-and-white.
Descew |  | Corrects the skew on the selected pages
Despeckle |  | Removes "noise" from the selected images.
Redact |  | Obscures an area on a page with a color rectangle. You can select the color in Tools > Options… > General > Redaction color.


Batch Type Tools

Button | Description
Current Batch Type (drop-down list) | Selects a batch type and makes it current. The default batch type is Unsorted.
 | Opens the Batch Type Properties dialog box, where you can view and edit the settings of the selected batch type. This button is unavailable for Unsorted batches. To view the default options, select Tools > Options…
 | Click this button to display only the batches of the current type in the Batches window.

Note: This toolbar is hidden if there are no user-created batch types.